#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xbf294cdf, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x215446d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dd6f084, "_dev_info" },
	{ 0xe49a17ca, "usb_queue_reset_device" },
	{ 0xac91baa3, "hid_alloc_report_buf" },
	{ 0x47754ce4, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xf3f0a703, "usb_free_coherent" },
	{ 0xc7c523a3, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7517fa0a, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xfec03ebd, "hid_hw_request" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b469147, "hid_hw_open" },
	{ 0xa6a085ef, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x836cea8a, "usb_register_dev" },
	{ 0x121a8f0b, "hid_check_keys_pressed" },
	{ 0x77e6927b, "fasync_helper" },
	{ 0x4cc1d402, "usb_unpoison_urb" },
	{ 0x440f4c67, "usb_autopm_put_interface_async" },
	{ 0xaaa15892, "hid_hw_close" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x840e2783, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x70d15830, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0xf1f65780, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfe1fe665, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x24bf5c31, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xac317065, "usb_unlink_urb" },
	{ 0x2189fbf6, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x78534366, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x807dad71, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb75f94ae, "usb_deregister_dev" },
	{ 0x1dd40d5d, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3e1e9f75, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x909ab36d, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa75f0aac, "hid_output_report" },
	{ 0x77c0fc9, "hid_lookup_quirk" },
	{ 0xe940b654, "usb_alloc_urb" },
	{ 0xd8df8e5f, "device_set_wakeup_enable" },
	{ 0x40777fd6, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8d4f19b9, "usb_free_urb" },
	{ 0x4cae06df, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2dc95f1b, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d0bdbe, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x23993356, "kill_fasync" },
	{ 0xb61e9db4, "usb_register_driver" },
	{ 0x70422599, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x8c0524d1, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x40b93430, "hidinput_count_leds" },
	{ 0x5f063452, "usb_autopm_put_interface_no_suspend" },
	{ 0x300f1c98, "hid_driver_resume" },
	{ 0x7322a550, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xac2dc873, "hid_allocate_device" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x599841fa, "hid_destroy_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe08a1394, "usb_interrupt_msg" },
	{ 0xa28be9cf, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x22d90094, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3f3c86d4, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x29bfe31a, "usb_submit_urb" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "0E906201F7BD2818C98F47A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
