#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0xd0261ffa, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0xbfc416b2, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0x77d05dcd, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xb2a3a3be, "_gpl");
SYMBOL_CRC(intel_th_free, 0x2f01cfc9, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x5059dabc, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0x82275932, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x1c8aa816, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x6fda5c50, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20ca23d2, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65fee2e, "put_device" },
	{ 0xd1d29975, "devm_free_irq" },
	{ 0x5fc9ad1e, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x81828ce4, "module_put" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0x412081d9, "bus_find_device" },
	{ 0x299bad0f, "device_add" },
	{ 0x7517fa0a, "noop_llseek" },
	{ 0xffb7c514, "ida_free" },
	{ 0x49920d6, "driver_unregister" },
	{ 0xb66b1bc8, "sysfs_create_group" },
	{ 0x136387e1, "device_del" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf5ce1d20, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa16d666f, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x83d65394, "dma_set_coherent_mask" },
	{ 0x71b96586, "sysfs_remove_group" },
	{ 0xd8f8e5e9, "pm_runtime_forbid" },
	{ 0x48fdc1, "pm_runtime_allow" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0x530c3588, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x940e9d6c, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x70fcdc1b, "__pm_runtime_disable" },
	{ 0x2662721b, "driver_register" },
	{ 0xa34867b9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb1936dff, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0xf5749886, "devm_request_threaded_irq" },
	{ 0x71ab28a1, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xa0653774, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1dfd515, "device_for_each_child" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05E9DF6B439E34AC93E7153");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
