#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0x9675c225, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x69bb2fba, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x23a15835, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x8c8a9c00, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x834cb09d, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0x2004d530, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x4c55da07, "");
SYMBOL_CRC(mptscsih_remove, 0xa31a78ff, "");
SYMBOL_CRC(mptscsih_shutdown, 0x9a33e4f9, "");
SYMBOL_CRC(mptscsih_suspend, 0x94e72ca0, "");
SYMBOL_CRC(mptscsih_resume, 0xdf776c12, "");
SYMBOL_CRC(mptscsih_show_info, 0x713c71e9, "");
SYMBOL_CRC(mptscsih_info, 0x1400039e, "");
SYMBOL_CRC(mptscsih_qcmd, 0xb8e498a7, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x9d4b39d8, "");
SYMBOL_CRC(mptscsih_slave_configure, 0xd0617609, "");
SYMBOL_CRC(mptscsih_abort, 0xbe570da4, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xe24242f5, "");
SYMBOL_CRC(mptscsih_target_reset, 0x0df34f6d, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x64ee6717, "");
SYMBOL_CRC(mptscsih_host_reset, 0xd01379be, "");
SYMBOL_CRC(mptscsih_bios_param, 0x27fe68d2, "");
SYMBOL_CRC(mptscsih_io_done, 0xe5fc57f0, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x80cc1c7e, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x5cb9b665, "");
SYMBOL_CRC(mptscsih_event_process, 0x330c8740, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x2f68293b, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x2ad63c8f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x66b05789, "scsi_host_put" },
	{ 0x21e3a697, "mpt_detach" },
	{ 0xfa6c9ae8, "scsi_block_requests" },
	{ 0x241ef43b, "mpt_suspend" },
	{ 0xda275b1b, "mpt_resume" },
	{ 0x1770ddd1, "scsi_unblock_requests" },
	{ 0x80a47167, "mpt_print_ioc_summary" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x2572341e, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x17fceb2d, "mpt_put_msg_frame" },
	{ 0xfa91f299, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x786f2dfa, "mpt_free_msg_frame" },
	{ 0xa5a834b7, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf1264182, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab5cd215, "mpt_put_msg_frame_hi_pri" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xadbb8419, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x100a1cb7, "mpt_Soft_Hard_ResetHandler" },
	{ 0x1a6a02cd, "mpt_send_handshake_request" },
	{ 0xc9798978, "mpt_HardResetHandler" },
	{ 0xdbb659bc, "scsi_print_command" },
	{ 0xa6257a2f, "complete" },
	{ 0xf5a75ff7, "scsi_change_queue_depth" },
	{ 0x50c067cf, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc61c1a63, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc4faa187, "mpt_raid_phys_disk_pg1" },
	{ 0x4e587e31, "scsi_dma_unmap" },
	{ 0xb9b2f9c3, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x3714bf45, "mpt_halt_firmware" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "9137CA81BF39A17E7D7C699");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
