#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xfe73f605, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x7c6ed0ee, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x64c1dfb4, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xe2916d09, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x0141db03, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xf16069ce, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x91d5766e, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xe11158af, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x1920665f, "_gpl");
SYMBOL_CRC(can_change_state, 0x1eda942f, "_gpl");
SYMBOL_CRC(can_bus_off, 0x349826c4, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xbd64333e, "_gpl");
SYMBOL_CRC(free_candev, 0xc4fb342f, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x87c627f7, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xcd804aee, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xcd61f66c, "");
SYMBOL_CRC(open_candev, 0x90acd04a, "_gpl");
SYMBOL_CRC(close_candev, 0x3fa3cee1, "_gpl");
SYMBOL_CRC(register_candev, 0x849157f5, "_gpl");
SYMBOL_CRC(unregister_candev, 0x99dcd37a, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xc490668f, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x78b134f4, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x63b56ee9, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x0e20238e, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xd28206a2, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x2eb1d8fa, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0xdce2b48e, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x0078946a, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xa5e1633b, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xfa4b8240, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x34528ab6, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x3649d803, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xada39e07, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x96efe228, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x7b8e1965, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89d1cf02, "skb_dequeue" },
	{ 0x94097be1, "rtnl_link_register" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0xa471a440, "netdev_warn" },
	{ 0xaaeb5208, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb6b05bc, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0x4eae820c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc30348b6, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95d8eac7, "napi_complete_done" },
	{ 0x11b65992, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x544d2967, "__napi_schedule" },
	{ 0x5b035f62, "device_property_read_u32_array" },
	{ 0x8cce69e9, "rtnl_link_unregister" },
	{ 0x7e5dba66, "kfree_skb_reason" },
	{ 0xa433c5a9, "napi_enable" },
	{ 0xd4390f84, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb434d2dd, "register_netdev" },
	{ 0xfaa7456d, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x99629b78, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbff78e2e, "netif_rx" },
	{ 0xcd6567c9, "__netdev_alloc_skb" },
	{ 0xe7ee091a, "skb_trim" },
	{ 0x84e85577, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd591d6cb, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8514515, "skb_clone" },
	{ 0x3dd4f3d3, "netif_carrier_on" },
	{ 0xd107a801, "dev_err_probe" },
	{ 0x76ca8322, "napi_schedule_prep" },
	{ 0x56955715, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1dfa2a1f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa66af9de, "skb_put" },
	{ 0x5aeb2c98, "gpiod_set_value" },
	{ 0xcec1268d, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfd19bf90, "consume_skb" },
	{ 0xb5120792, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21f8b396, "unregister_netdev" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
