#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x169da1fc, "");
SYMBOL_CRC(vnic_dev_get_res, 0xb28ac1c9, "");
SYMBOL_CRC(vnic_dev_unregister, 0xb7df3649, "");
SYMBOL_CRC(vnic_dev_register, 0xadaa6d5d, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x1a98fd42, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x154ea89f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26bc9e27, "dev_driver_string" },
	{ 0xff1d8364, "dev_addr_mod" },
	{ 0xcff18ba, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x58390570, "dma_map_page_attrs" },
	{ 0x95d8eac7, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa715a84a, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0x8aa902c3, "__hw_addr_unsync_dev" },
	{ 0x6cdc84, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2a015474, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x4eabfe40, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xd3f8654a, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x20f98d5c, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8ad97124, "netif_set_real_num_rx_queues" },
	{ 0xa0e3e536, "dev_close" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0xfa05f941, "pci_read_config_word" },
	{ 0xa433c5a9, "napi_enable" },
	{ 0xd4390f84, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb434d2dd, "register_netdev" },
	{ 0xfaa7456d, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xecc3e7e4, "ethtool_op_get_link" },
	{ 0x353bbb68, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x61fa19d3, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xb1064d5b, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0xe346d68e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc798ad6, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xcd6567c9, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83d65394, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9b445c9, "rps_may_expire_flow" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f35555, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7b169bc7, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd591d6cb, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x818855fc, "__hw_addr_sync_dev" },
	{ 0xfadbead4, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3dd4f3d3, "netif_carrier_on" },
	{ 0x74cdce1f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5aabe9f2, "pci_disable_device" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa31bc41, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xd4f544e2, "__napi_schedule_irqoff" },
	{ 0x76ca8322, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xbc67f39, "napi_disable" },
	{ 0x56955715, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ad24b5e, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x1dfa2a1f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc03dff6c, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x69c64295, "pci_find_ext_capability" },
	{ 0xcb6fbba3, "skb_copy_bits" },
	{ 0xa66af9de, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xcec1268d, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa883a761, "pci_enable_device_mem" },
	{ 0xfd19bf90, "consume_skb" },
	{ 0x7a7ca9b3, "pci_iomap" },
	{ 0xb5120792, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x21f8b396, "unregister_netdev" },
	{ 0xc0029833, "dma_unmap_page_attrs" },
	{ 0x921a5f76, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xdf5ccaf1, "pci_disable_msi" },
	{ 0x98139495, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x12188f9f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xa471a440, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcb6b05bc, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7bf92f21, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4eae820c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AB81DC516A688ECB5586787");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
