#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x16a6433c, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x361bce9f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0xec9effd2, "nd_btt_arena_is_valid" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeb03adee, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x26bc9e27, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x4f3e22ef, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe68b14, "debugfs_create_x64" },
	{ 0x61d00a2d, "blk_queue_flag_set" },
	{ 0x232e6bf3, "nd_dev_to_uuid" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0x42c3ccfa, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd25a42ec, "bio_endio" },
	{ 0x72f77d2a, "nd_region_release_lane" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xa53c9ee9, "set_capacity" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f6c10b8, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7e48de08, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x6fbabf70, "to_nd_btt" },
	{ 0x3a1f4a78, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x339f30ff, "debugfs_create_u32" },
	{ 0x6ed85d96, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xca3c0130, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x690b0307, "nvdimm_namespace_capacity" },
	{ 0x8f78d688, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e82b48d, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb10e896f, "badblocks_check" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xe279c5c2, "nd_btt_version" },
	{ 0x6980819, "blk_queue_max_hw_sectors" },
	{ 0x9656682d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x4799c453, "bio_integrity_prep" },
	{ 0x44326e98, "__blk_alloc_disk" },
	{ 0xc138f6f1, "blk_queue_logical_block_size" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x5940e5a8, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfa57a5d8, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7c570572, "debugfs_create_u16" },
	{ 0x55ec67e5, "to_nd_region" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "18C1827A6A81256D6BC8A64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
