#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0x4034beb6, "");
SYMBOL_CRC(rpmsg_create_channel, 0x056ef1f1, "");
SYMBOL_CRC(rpmsg_release_channel, 0x5ff03b23, "");
SYMBOL_CRC(rpmsg_create_ept, 0x2e8c9703, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x15097c3c, "");
SYMBOL_CRC(rpmsg_send, 0x6b955bb3, "");
SYMBOL_CRC(rpmsg_sendto, 0xa4126ae9, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x89fb9e48, "");
SYMBOL_CRC(rpmsg_trysend, 0x23ec8de2, "");
SYMBOL_CRC(rpmsg_trysendto, 0xb123e04f, "");
SYMBOL_CRC(rpmsg_poll, 0x3d798723, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0x72531fa0, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0xe3924251, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xb79fcb7d, "");
SYMBOL_CRC(rpmsg_find_device, 0x1859da04, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x9df32839, "");
SYMBOL_CRC(rpmsg_register_device, 0x786194cd, "");
SYMBOL_CRC(rpmsg_unregister_device, 0xa48f26bc, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x3e364d2c, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x96c4b298, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xaaf3c73d, "device_find_child" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x71ab28a1, "dev_set_name" },
	{ 0xa0653774, "device_initialize" },
	{ 0x754d539c, "strlen" },
	{ 0xc2675ae5, "driver_set_override" },
	{ 0x299bad0f, "device_add" },
	{ 0x37a0cba, "kfree" },
	{ 0x65fee2e, "put_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a921311, "strncmp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1b31e20f, "device_unregister" },
	{ 0x2662721b, "driver_register" },
	{ 0x49920d6, "driver_unregister" },
	{ 0x54ce0514, "class_create" },
	{ 0xb1936dff, "bus_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0xea3bc8ad, "class_destroy" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0xd2ee75a9, "dev_pm_domain_detach" },
	{ 0x986ae97a, "dev_pm_domain_attach" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B4976018B66D2B233A03EEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
