#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xf42ba8bb, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xe8941548, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x5632d2ca, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x2c6eafbf, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x3a2ca6db, "");
SYMBOL_CRC(fuse_abort_conn, 0x554ac417, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x8c2eca1b, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xc53bccd5, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xaa7cf452, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xf5b43470, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x86f102e2, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x113ad645, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x1c1327f3, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x38da4b82, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x7dee511a, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xdbb98c47, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x9f0aafb2, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xbe7e33f6, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x2f4e21b0, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xe0c138f5, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x6b0babf0, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x068c60dd, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xabe65441, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x0e200f31, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xa337ee6c, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xfe72fc8d, "");
SYMBOL_CRC(fuse_do_ioctl, 0xbfe26b69, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x52b41d6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8530ccc1, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x37768ec7, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa328e019, "inode_init_once" },
	{ 0x6b4ede14, "file_write_and_wait_range" },
	{ 0x47754ce4, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6ce57935, "nosteal_pipe_buf_ops" },
	{ 0x5109e611, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf7fcbe7d, "inode_nohighmem" },
	{ 0x3405d5b6, "release_pages" },
	{ 0xb2984a93, "generic_file_direct_write" },
	{ 0x1e2b261d, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x79a38cc1, "generic_file_read_iter" },
	{ 0x241083dd, "inode_maybe_inc_iversion" },
	{ 0xd0956154, "unlock_page" },
	{ 0x9045e53b, "inc_node_page_state" },
	{ 0x74f820ec, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x27c229f1, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9477b2f, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xfff0aa5c, "dec_node_page_state" },
	{ 0x25a5cdf9, "write_cache_pages" },
	{ 0xac98606c, "file_update_time" },
	{ 0x6a6dc9d8, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10dd412d, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xdc700b16, "from_kgid" },
	{ 0x77e6927b, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc1fc60d9, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x6b026728, "write_inode_now" },
	{ 0xd76b64a1, "dax_writeback_mapping_range" },
	{ 0x49326db0, "d_obtain_alias" },
	{ 0x55afa5b1, "file_modified" },
	{ 0xaf340e27, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4292c688, "finish_no_open" },
	{ 0x54393c55, "__folio_start_writeback" },
	{ 0xf4413016, "kill_litter_super" },
	{ 0xb647e9fb, "folio_end_writeback" },
	{ 0xa58594f4, "from_kuid" },
	{ 0x823df9c8, "current_in_userns" },
	{ 0xaa04d1c5, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x9a61c376, "sysfs_remove_mount_point" },
	{ 0x158adb44, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf7a39093, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x85e89e0b, "d_delete" },
	{ 0x5b1e8a5f, "from_kgid_munged" },
	{ 0x341e60ac, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x465c8cc2, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0x77bab961, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67fec619, "nonseekable_open" },
	{ 0xb96d68c6, "dax_finish_sync_fault" },
	{ 0xbe50377b, "set_page_dirty" },
	{ 0xb21ef871, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6885cfe9, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8b26347, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x210b4829, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x829b6989, "generic_read_dir" },
	{ 0xe3af2dbe, "d_add" },
	{ 0x78548571, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0x41342f1c, "d_find_alias" },
	{ 0x26586391, "invalidate_inode_pages2" },
	{ 0xeb165df9, "alloc_pages" },
	{ 0x8fa3016e, "inode_set_ctime_current" },
	{ 0x3c6d7843, "inc_nlink" },
	{ 0x4ac08300, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa33df941, "get_tree_bdev" },
	{ 0x33249f10, "set_anon_super_fc" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xd8b676ef, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8762fe07, "generic_delete_inode" },
	{ 0x6ce0a7d9, "deactivate_locked_super" },
	{ 0xfe95da6c, "touch_atime" },
	{ 0x647004d6, "__percpu_down_read" },
	{ 0x9571fe5a, "__d_lookup_unhash_wake" },
	{ 0xb297ab0c, "set_page_dirty_lock" },
	{ 0x72173316, "pid_nr_ns" },
	{ 0xfeafb5be, "generic_file_open" },
	{ 0xf2fc8874, "truncate_inode_pages_range" },
	{ 0x6aa0292, "__put_user_ns" },
	{ 0x8cdce34e, "__folio_lock" },
	{ 0x5a996ae1, "filemap_dirty_folio" },
	{ 0x1ec1bcf6, "pagecache_get_page" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xf9cb3f2e, "stream_open" },
	{ 0xaa77dcfb, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xce5a3bbc, "add_to_pipe" },
	{ 0x4731b3ca, "__fs_parse" },
	{ 0x3ae2313c, "dax_layout_busy_page_range" },
	{ 0xc45a7b79, "filemap_splice_read" },
	{ 0x8b2da6a4, "posix_acl_to_xattr" },
	{ 0xf2f4105a, "dget_parent" },
	{ 0xaa582402, "kill_anon_super" },
	{ 0xd5fd2fc4, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x2a1707e2, "iget5_locked" },
	{ 0xf0e5cd18, "security_dentry_init_security" },
	{ 0xa7908e18, "filemap_write_and_wait_range" },
	{ 0x59712d37, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xac5bc2d1, "generic_write_checks" },
	{ 0x312a93a7, "iov_iter_revert" },
	{ 0xc98ff725, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9f36cb0e, "mntget" },
	{ 0x61ddceda, "kmem_cache_alloc_lru" },
	{ 0xc0136060, "filemap_fault" },
	{ 0x78da06db, "d_invalidate" },
	{ 0x84d5e91, "__mark_inode_dirty" },
	{ 0x4ee02fdb, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8adb3781, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xc607e446, "drop_nlink" },
	{ 0x7c2f7bc1, "fault_in_iov_iter_readable" },
	{ 0x6fec5be3, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x450cbe15, "bdi_set_max_ratio" },
	{ 0xcd88d78d, "kmem_cache_destroy" },
	{ 0x3669df6c, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x390078c1, "super_setup_bdi_name" },
	{ 0x13cc7d9e, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc2d3455e, "truncate_inode_pages" },
	{ 0xc589ff23, "noop_backing_dev_info" },
	{ 0x128e4274, "pipe_lock" },
	{ 0x964d481e, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc177c424, "vfs_fsync_range" },
	{ 0x45df82f, "setattr_prepare" },
	{ 0x291d7712, "clear_nlink" },
	{ 0x1a8faf00, "file_check_and_advance_wb_err" },
	{ 0x5e75bdba, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc028002a, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x65712af6, "misc_deregister" },
	{ 0xd78c0416, "make_vfsgid" },
	{ 0x464f015d, "clear_inode" },
	{ 0x6936c987, "inode_to_bdi" },
	{ 0xa3d12277, "find_pid_ns" },
	{ 0x60224d88, "grab_cache_page_write_begin" },
	{ 0x9548eb93, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4d43f393, "pipe_unlock" },
	{ 0x6b4e5c49, "fs_param_is_string" },
	{ 0xff3553eb, "folio_unlock" },
	{ 0x681dc0be, "new_inode" },
	{ 0x876766c8, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x9101780, "dump_page" },
	{ 0x994fb42d, "forget_all_cached_acls" },
	{ 0x365f1012, "init_special_inode" },
	{ 0xf8e0b3bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x494e0446, "task_active_pid_ns" },
	{ 0xa1bc97e7, "iov_iter_single_seg_count" },
	{ 0x758f4816, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x94b0a729, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd0203f8d, "d_alloc_name" },
	{ 0x1362274b, "replace_page_cache_folio" },
	{ 0x8c0178cd, "inode_query_iversion" },
	{ 0x5daca0b8, "iov_iter_advance" },
	{ 0x23993356, "kill_fasync" },
	{ 0xe0bcc95, "d_make_root" },
	{ 0xebd79895, "sb_set_blocksize" },
	{ 0x2bb69907, "fget" },
	{ 0x5933bc4, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x66c2bdbf, "sync_filesystem" },
	{ 0xc8f33f42, "noop_dirty_folio" },
	{ 0xe2bb686d, "sget_fc" },
	{ 0xa665d186, "param_set_uint" },
	{ 0x42e084eb, "d_splice_alias" },
	{ 0xdd4466a1, "iov_iter_get_pages2" },
	{ 0x10ff61a6, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa275e03, "page_get_link" },
	{ 0xd43ed4c, "generic_permission" },
	{ 0xbf2770ab, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8a8b1c6, "invalidate_inode_pages2_range" },
	{ 0x4c55ac6a, "posix_lock_file" },
	{ 0xb7e9c5b, "finish_open" },
	{ 0x681777a2, "dax_iomap_rw" },
	{ 0x370da07f, "iput" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x2ebd7da3, "logfc" },
	{ 0xd693254b, "__put_devmap_managed_page_refs" },
	{ 0xf98cec1, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xdce8a8f1, "init_pid_ns" },
	{ 0x5b8c0a70, "dax_iomap_fault" },
	{ 0x48466b14, "iov_iter_init" },
	{ 0x3a62f099, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x10ffadf5, "sysfs_create_mount_point" },
	{ 0x2e510f75, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8f1805ca, "register_filesystem" },
	{ 0xfd681ea9, "kmem_cache_create" },
	{ 0x7b771c8e, "folio_add_lru" },
	{ 0x3a7e0349, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x626acb77, "sync_inode_metadata" },
	{ 0x2ab2577, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x29d7b0c4, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd803b9ac, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x666a1636, "get_tree_nodev" },
	{ 0xbc693315, "splice_file_range" },
	{ 0x814d881e, "simple_inode_init_ts" },
	{ 0xe243c76f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1ec56e62, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x41dba1e4, "fs_param_is_u32" },
	{ 0x640f77a, "inode_newsize_ok" },
	{ 0x52cc197a, "d_drop" },
	{ 0x62169a85, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xd4271aec, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1b52f49e, "bdi_put" },
	{ 0xf0578680, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xe0eece3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1017a910, "make_kuid" },
	{ 0x3dbf38f1, "truncate_inode_pages_final" },
	{ 0x5c059edd, "fs_kobj" },
	{ 0xc7a1ee30, "__filemap_set_wb_err" },
	{ 0xc188d72e, "simple_dir_operations" },
	{ 0xdbc9c14c, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x8fe7e56, "__free_pages" },
	{ 0x679862cc, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xfb5f8760, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x8e98c7da, "setattr_should_drop_suidgid" },
	{ 0xc2b5cd61, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5917A800F1008CCB5508DC7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
