#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x56f968a3, "");
SYMBOL_CRC(is_hsr_master, 0x89e1cf3a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d069e8b, "genlmsg_put" },
	{ 0x7d9c0d06, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x76e86b1, "dev_set_promiscuity" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa471a440, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4fc266b0, "unregister_netdevice_queue" },
	{ 0x67407d9, "netlink_ack" },
	{ 0xc86eaa08, "netdev_state_change" },
	{ 0x16cd9be2, "__pskb_copy_fclone" },
	{ 0x61ad56a8, "dev_uc_unsync" },
	{ 0xabb780c7, "ether_setup" },
	{ 0x552fcfa3, "netlink_broadcast_filtered" },
	{ 0x4eae820c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7775821a, "netdev_upper_dev_link" },
	{ 0xff1d8364, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb673749f, "netdev_rx_handler_unregister" },
	{ 0x83a6d7e3, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa0eeff80, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3b2c5b0a, "skb_copy_expand" },
	{ 0x57ec541e, "__dev_get_by_index" },
	{ 0x8cce69e9, "rtnl_link_unregister" },
	{ 0xc0797bc5, "init_net" },
	{ 0x4647388, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c4fbec4, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbeb33b74, "dev_get_by_index_rcu" },
	{ 0x7e5dba66, "kfree_skb_reason" },
	{ 0xf844ef48, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x84c2653a, "skb_push" },
	{ 0x7f6c10b8, "debugfs_remove" },
	{ 0x450ffe1a, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc798ad6, "__pskb_pull_tail" },
	{ 0xbff78e2e, "netif_rx" },
	{ 0xcd6567c9, "__netdev_alloc_skb" },
	{ 0xe7ee091a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb372c097, "seq_read" },
	{ 0xee3664a2, "debugfs_rename" },
	{ 0xa10facad, "debugfs_create_file" },
	{ 0xec59f05b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7b169bc7, "call_netdevice_notifiers" },
	{ 0x66b6bcd4, "dev_set_allmulti" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd591d6cb, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xa8514515, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3dd4f3d3, "netif_carrier_on" },
	{ 0x16f43c20, "netdev_rx_handler_register" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa2a6ea0, "genl_unregister_family" },
	{ 0x8c887489, "dev_disable_lro" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x56955715, "dev_kfree_skb_any_reason" },
	{ 0x67b80948, "single_open" },
	{ 0x9656682d, "debugfs_create_dir" },
	{ 0x77fa575a, "dev_mc_unsync" },
	{ 0x3090c664, "genl_register_family" },
	{ 0x19e0d880, "netdev_core_stats_inc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x1dfa2a1f, "netdev_info" },
	{ 0xba60eecb, "dev_mc_sync_multiple" },
	{ 0x7c2c2174, "register_netdevice" },
	{ 0xcd153365, "dev_set_mtu" },
	{ 0x6858bc43, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x9a81395, "eth_header" },
	{ 0xa66af9de, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3874dfe9, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x94097be1, "rtnl_link_register" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "43AEC7442E6CC9F908530DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
