#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x63e540ed, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x5ee37b71, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x7c4e4834, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x51e758c4, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x7950e675, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa47f925, "inet_ctl_sock_create" },
	{ 0xc1b2c9e, "inet_ioctl" },
	{ 0x73c9d3f3, "reuseport_add_sock" },
	{ 0x2b53f332, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbfcf7677, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xae0dfe4f, "perf_trace_run_bpf_submit" },
	{ 0x1e2b261d, "fput" },
	{ 0xe800feea, "inet_accept" },
	{ 0xc0797bc5, "init_net" },
	{ 0x2e9271c, "crypto_shash_setkey" },
	{ 0x4647388, "skb_pull" },
	{ 0x3ec48b58, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x399bf0b7, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7b0f45b2, "__SCK__tp_func_sk_data_ready" },
	{ 0xfb81b948, "inet_add_protocol" },
	{ 0x7f97bd4e, "inet_shutdown" },
	{ 0x3b8b933d, "sk_free" },
	{ 0x47f71654, "sock_wake_async" },
	{ 0xbeb33b74, "dev_get_by_index_rcu" },
	{ 0x7e5dba66, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1a0a84f1, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x84c2653a, "skb_push" },
	{ 0x7c92541c, "__ip_queue_xmit" },
	{ 0x10dd412d, "kmem_cache_free" },
	{ 0xc1f5b470, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xdc718a1d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3a496038, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x99fec320, "inet6_ioctl" },
	{ 0xdaf580f, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x7f80bd97, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc8db20d6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x41075902, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x26d2e39b, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xb9e405f1, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd5306140, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc798ad6, "__pskb_pull_tail" },
	{ 0x26a6266a, "setup_udp_tunnel_sock" },
	{ 0x5363ac16, "udp_sock_create6" },
	{ 0xe7ee091a, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa4c178f0, "sk_common_release" },
	{ 0x8bfea03c, "pv_ops" },
	{ 0xb7d39bb4, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xca6cff12, "inet6_getname" },
	{ 0x75228a3f, "sock_i_ino" },
	{ 0x4373a922, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8633cc74, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x6153148c, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaaaaebe2, "ipv4_mtu" },
	{ 0xd3bac61c, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x546a1d09, "trace_event_buffer_reserve" },
	{ 0x9eae237, "__skb_checksum" },
	{ 0x8141ebdb, "reuseport_alloc" },
	{ 0x2719b8e2, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x1dd29c44, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x580dc3cc, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf8e3f9f1, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x4260b6e6, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x834d9a2f, "proc_create_net_single" },
	{ 0x630401e4, "skb_copy" },
	{ 0xa8514515, "skb_clone" },
	{ 0xa8daab2d, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9a9e5499, "dst_release" },
	{ 0x344d82d3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x7d79ea87, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc2c99fea, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xac9fdb31, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x946c8673, "_proc_mkdir" },
	{ 0xf87ddd14, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x494a586, "send_sig" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x858d8e89, "inet6_add_protocol" },
	{ 0xd5fd2fc4, "from_kuid_munged" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x38635f4b, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xa222f38e, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xde6450c7, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xad6f47fb, "reuseport_detach_sock" },
	{ 0xc83d0384, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x312a93a7, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeae9af82, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x5f33222f, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x53ba3435, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xcd88d78d, "kmem_cache_destroy" },
	{ 0xbda892a4, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1b444d85, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x507c6b21, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xfd5c44e1, "sock_i_uid" },
	{ 0x54e810d1, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdb85ffee, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xcb6fbba3, "skb_copy_bits" },
	{ 0x7da7bab, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaff566bf, "sock_wfree" },
	{ 0xa66af9de, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x564fc955, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x88e6b06a, "ip6_dst_hoplimit" },
	{ 0xfd19bf90, "consume_skb" },
	{ 0x3b68d048, "inet6_add_offload" },
	{ 0x22753641, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xecb43ce, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x50da8178, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x71403cca, "l3mdev_fib_table_by_index" },
	{ 0xdbbe337e, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x89d1cf02, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x65f5d799, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x45c294b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf61ea8b1, "skb_segment" },
	{ 0x72f74522, "trace_event_printf" },
	{ 0x6facc768, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6348ade4, "udp_tunnel6_xmit_skb" },
	{ 0x2bc0d1a1, "sock_common_getsockopt" },
	{ 0x3d1a8477, "inet_bind" },
	{ 0x55a7fca8, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x250599e8, "fd_install" },
	{ 0x266282f0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7cefa02, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x8147eeca, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xb18dcaa8, "__tracepoint_sk_data_ready" },
	{ 0xb2fa898c, "bpf_trace_run2" },
	{ 0xa3d28df8, "sock_common_setsockopt" },
	{ 0xfbf96106, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf7217680, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xfd681ea9, "kmem_cache_create" },
	{ 0x56a33c74, "__sk_mem_schedule" },
	{ 0x34170321, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc6c383cd, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa5df86ab, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf9d47a39, "sk_error_report" },
	{ 0xd8d408b5, "register_pernet_subsys" },
	{ 0x773f43c9, "put_cmsg" },
	{ 0xcb3a4565, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xd76ae17f, "register_net_sysctl_sz" },
	{ 0x7f1d0fe8, "inet_sock_destruct" },
	{ 0x693b4813, "crypto_destroy_tfm" },
	{ 0x868466d3, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c00b098, "inet_sk_get_local_port_range" },
	{ 0x6878ce78, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x64292991, "inet_getname" },
	{ 0xefad2504, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x90864402, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa0eeff80, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x1c38658, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x679862cc, "kmem_cache_alloc" },
	{ 0xa909b9b5, "proto_register" },
	{ 0x3b2c5b0a, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x9cdfbe8, "inet6_compat_ioctl" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "01C0C2006415142AB2C8BBB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
