#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x1b680529, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0xad3d03f6, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x20c65570, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0x78fac9ee, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x1e7238ad, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x51275812, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xcb6cc6cd, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0xe953fbcf, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0xb1ea1a84, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x8b8524a2, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0xf89b1437, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x2b22cef1, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0xbbe07386, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0x345a97bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb8b36848, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xae542385, "regmap_bulk_read" },
	{ 0x97bfc8a3, "regmap_update_bits_base" },
	{ 0x2b35c330, "regmap_multi_reg_write" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xf1da5d26, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x99213feb, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC87D6360393D7DA2919D99");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
