#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x88ef1e39, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0xac8f3e24, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x10055eb4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaaeb5208, "devm_gpiod_get_optional" },
	{ 0xe953fbcf, "cs35l41_init_boost" },
	{ 0xbbe07386, "cs35l41_enter_hibernate" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20ca23d2, "__pm_runtime_set_status" },
	{ 0x61a3bd83, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5fc9ad1e, "pm_runtime_enable" },
	{ 0x660f0349, "regulator_bulk_disable" },
	{ 0x5b035f62, "device_property_read_u32_array" },
	{ 0xa9cbd859, "snd_soc_get_enum_double" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0x9e7c7c43, "snd_soc_info_volsw" },
	{ 0x3ce6c0e8, "regmap_multi_reg_write_bypassed" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xd3869986, "wm_adsp_event" },
	{ 0xc273f20b, "snd_soc_dapm_put_volsw" },
	{ 0x20c65570, "cs35l41_test_key_unlock" },
	{ 0x78fac9ee, "cs35l41_test_key_lock" },
	{ 0x532fc72c, "snd_pcm_hw_constraint_list" },
	{ 0xe6f1b03c, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0xef138846, "wm_adsp2_component_probe" },
	{ 0xc4394442, "wm_adsp2_preloader_put" },
	{ 0xe1036b7e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a7f6e47, "wm_adsp2_preloader_get" },
	{ 0x68d707cb, "snd_soc_info_enum_double" },
	{ 0x148fc069, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x94b99b14, "devm_regulator_bulk_get" },
	{ 0x2e000acf, "snd_soc_info_volsw_sx" },
	{ 0x1e7238ad, "cs35l41_otp_unpack" },
	{ 0x58976e6b, "wm_adsp2_component_remove" },
	{ 0x35c93b32, "snd_soc_get_volsw" },
	{ 0x345a97bd, "cs35l41_exit_hibernate" },
	{ 0xb8b36848, "regmap_read" },
	{ 0xca203881, "snd_soc_put_volsw" },
	{ 0x321672e9, "wm_adsp_fw_get" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0xf89b1437, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x2b22cef1, "cs35l41_write_fs_errata" },
	{ 0xfde7ad0, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8b8524a2, "cs35l41_configure_cs_dsp" },
	{ 0x35ba6eb8, "_dev_crit" },
	{ 0x97bfc8a3, "regmap_update_bits_base" },
	{ 0xd107a801, "dev_err_probe" },
	{ 0xe6d930ed, "snd_soc_dapm_get_volsw" },
	{ 0x24d6fdaf, "__pm_runtime_suspend" },
	{ 0x6f84c1a5, "snd_soc_dapm_get_enum_double" },
	{ 0x9ca18186, "__pm_runtime_use_autosuspend" },
	{ 0xf07aee63, "wm_halo_init" },
	{ 0x1f9ca529, "wm_adsp_early_event" },
	{ 0xcb6cc6cd, "cs35l41_set_channels" },
	{ 0x70fcdc1b, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x62af498b, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x21de95dc, "snd_soc_dapm_put_enum_double" },
	{ 0x8c5058ec, "wm_adsp_fw_put" },
	{ 0x769f8228, "device_property_present" },
	{ 0xb1ea1a84, "cs35l41_global_enable" },
	{ 0xdd12a337, "regcache_cache_only" },
	{ 0x19c9c71e, "is_acpi_device_node" },
	{ 0x89a0538e, "regcache_sync" },
	{ 0x99213feb, "regmap_write" },
	{ 0xf5749886, "devm_request_threaded_irq" },
	{ 0x574c0022, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc7b7a8ce, "pm_runtime_set_autosuspend_delay" },
	{ 0x51275812, "cs35l41_register_errata_patch" },
	{ 0x8ce0889d, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d5afde2, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x67daf90d, "snd_soc_put_enum_double" },
	{ 0xd4d1bb8b, "regcache_mark_dirty" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "BD76D9547CD87994BAD4263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
