#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0xaf04a3ab, "");
SYMBOL_CRC(hda_bus_ml_free, 0xc83084ef, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x22627824, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x72d78dc4, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xd7765861, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x2b73df14, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x7b3a7a24, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x8662e0d0, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0xf800d983, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x558efae0, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x60cef14c, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0xccfb8e17, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x19b64662, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x8dae4f63, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x2c736861, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xa04079fa, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0x124b1777, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x3a431f17, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x42a3f74f, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x04678152, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x1526d097, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x694fd401, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x64c0809a, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0x03f42039, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x3617e3dd, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xcd3c4124, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x9c7bde70, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0x4ff07fe8, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xc4ab4eaf, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xbe641f34, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x38ab85c2, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x0d588146, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0xfc54a9c4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6349a1da, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3353ddfa, "snd_hdac_ext_bus_link_power_down" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x702ed2e5, "snd_hdac_ext_bus_link_put" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
