#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0x0149ce94, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x0d71bf91, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0xc234925f, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0xa8e7ccd8, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xb97c63cc, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0xf2865c7c, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x4e52cc66, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0x61b279be, "_gpl");
SYMBOL_CRC(fpga_mgr_register_full, 0xc31e15c4, "_gpl");
SYMBOL_CRC(fpga_mgr_register, 0x31aad894, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0x35f870f4, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register_full, 0x9117d108, "_gpl");
SYMBOL_CRC(devm_fpga_mgr_register, 0xfc00c6c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64db261, "get_device" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x65fee2e, "put_device" },
	{ 0x2d771e14, "devm_kfree" },
	{ 0xb713a967, "sg_miter_start" },
	{ 0x7cf2eb0e, "sg_miter_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11382390, "sg_miter_stop" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1162020b, "device_match_of_node" },
	{ 0xd1baf488, "class_find_device" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x81828ce4, "module_put" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0x1b31e20f, "device_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7f1d5de, "class_register" },
	{ 0xf5c6cc93, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x754d539c, "strlen" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x71ab28a1, "dev_set_name" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x45a1de29, "device_register" },
	{ 0xfc98b465, "__devres_alloc_node" },
	{ 0xa423c49, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x973521ab, "sg_miter_skip" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4c326b0b, "vmalloc_to_page" },
	{ 0x215983dc, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2594c588, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "481CCC9DE1DE3E6F9507C31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
