#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x329bb425, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x70e4c580, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xa19ff49d, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x8c9b16e2, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xb41dc0ef, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xd1504c15, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0xb461e208, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x52e76d6f, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xfdbfc123, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x0e9bbd5d, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xb642863f, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x9c29ac22, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xa032fbd3, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x10c2f8cd, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xdcef22bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ad9aca5, "drm_helper_disable_unused_functions" },
	{ 0x1369f885, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x7b6f4be8, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x3f6a8a8e, "drm_fb_helper_fini" },
	{ 0x9c74e4ff, "dma_mmap_pages" },
	{ 0x84b32ca6, "drm_client_framebuffer_delete" },
	{ 0xabfdc1ac, "dma_free_pages" },
	{ 0xc2c2856b, "drm_client_framebuffer_create" },
	{ 0x650ad617, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x46a8fbc0, "drm_fb_helper_fill_info" },
	{ 0x1b0cd99b, "drm_gem_create_mmap_offset" },
	{ 0xc6cbe039, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x26bc9e27, "dev_driver_string" },
	{ 0xa9647e0b, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67a6a4c2, "fb_sys_write" },
	{ 0x84af245e, "sys_imageblit" },
	{ 0x63704f34, "drm_atomic_helper_damage_iter_init" },
	{ 0x798db406, "drm_fb_helper_blank" },
	{ 0x683d4fd2, "dma_alloc_pages" },
	{ 0x234ce864, "drm_gem_private_object_init" },
	{ 0xecf14a99, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x36957054, "sys_fillrect" },
	{ 0x81828ce4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe40e51c5, "drm_client_init" },
	{ 0xe60e5ed2, "drm_gem_vm_close" },
	{ 0x292db49d, "drm_gem_vm_open" },
	{ 0x6afc8cee, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xeda45563, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf37957be, "drm_gem_handle_create" },
	{ 0x91c19eb2, "drm_gem_fb_get_obj" },
	{ 0x24f1a39e, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf0a4f6b, "drm_fb_helper_pan_display" },
	{ 0xdde75158, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x22a5aca4, "sys_copyarea" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb856331, "drm_client_buffer_vunmap" },
	{ 0xbedaac53, "fb_sys_read" },
	{ 0xf8c63bec, "drm_fb_helper_debug_leave" },
	{ 0x455eb581, "dma_buf_vmap_unlocked" },
	{ 0x881e4c14, "dma_mmap_attrs" },
	{ 0x8d214c85, "dma_get_sgtable_attrs" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xa5a5c077, "drm_fb_helper_initial_config" },
	{ 0x805fb660, "drm_fb_helper_unregister_info" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x54d96b7a, "drm_fb_helper_ioctl" },
	{ 0x7e678fe4, "drm_fb_helper_set_par" },
	{ 0xb8a4d885, "drm_prime_gem_destroy" },
	{ 0xb6387bbd, "drm_client_register" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x628ae182, "drm_fb_helper_init" },
	{ 0x3961e022, "drm_fb_helper_debug_enter" },
	{ 0xdeff7786, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x7cf174b7, "drm_client_buffer_vmap" },
	{ 0x45351db3, "drm_fb_helper_lastclose" },
	{ 0x89e0ec52, "drm_fb_helper_setcmap" },
	{ 0x6196eda0, "drm_fb_helper_alloc_info" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64A45454504A8A792D821ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
