#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0x13de78f7, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0xe363bef5, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0xfeac5836, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0xf7184a79, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0xae16c338, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0x6fb80a9e, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0xbc83a046, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0xd18f9724, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x566af8ac, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0xaea03a44, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0xa138173a, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0x30ba4657, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0xcec34836, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0x7af7eb41, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0x32434540, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0x02f8e778, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0x70143fd5, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0x781e552d, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x77244be5, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0xa242b18b, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0x90700b77, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0xe16fd7e5, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0x6a7c16b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x91c19eb2, "drm_gem_fb_get_obj" },
	{ 0x5de4ae1b, "drm_gem_fb_begin_cpu_access" },
	{ 0xcea53659, "drm_fb_swab" },
	{ 0x4f0c7476, "drm_gem_fb_end_cpu_access" },
	{ 0x9c828b6d, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x499e888b, "drm_fb_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf1def9f0, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xfbf32f14, "drm_dev_enter" },
	{ 0x1a1f944f, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x50e3bcdc, "drm_gem_begin_shadow_fb_access" },
	{ 0x3c6d6399, "drm_gem_end_shadow_fb_access" },
	{ 0x11ecb845, "drm_gem_reset_shadow_plane" },
	{ 0x952f794a, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x80a93a73, "drm_gem_destroy_shadow_plane_state" },
	{ 0x7043418d, "drmm_mode_config_init" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xe26ab8a8, "drm_connector_init" },
	{ 0xd716f26c, "drm_simple_display_pipe_init" },
	{ 0xf0c06c95, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2f24c4e3, "drm_connector_helper_get_modes_fixed" },
	{ 0x8ce0889d, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa10facad, "debugfs_create_file" },
	{ 0x67b80948, "single_open" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x83d65394, "dma_set_coherent_mask" },
	{ 0xb5b0e703, "regulator_disable" },
	{ 0xfb578fc5, "memset" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xdb8f0bc7, "spi_sync_locked" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x92db06e0, "spi_bus_lock" },
	{ 0x8eb8acdd, "spi_bus_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7a7d7dca, "spi_sync" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdb708b8b, "regulator_enable" },
	{ 0x70764130, "drm_dev_printk" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0xb372c097, "seq_read" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0x69e051ac, "drm_gem_fb_create_with_dirty" },
	{ 0x38fe0c21, "drm_atomic_helper_check" },
	{ 0x28092bd1, "drm_atomic_helper_commit" },
	{ 0x962c5d0a, "drm_atomic_helper_connector_reset" },
	{ 0xf77bdce9, "drm_helper_probe_single_connector_modes" },
	{ 0x8becde46, "drm_connector_cleanup" },
	{ 0xd961e8d4, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x2c69bdc8, "drm_atomic_helper_connector_destroy_state" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BE123BA9810BE503D98859F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
