#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x5c8d8e2a, "");
SYMBOL_CRC(ishtp_start, 0x199dc835, "");
SYMBOL_CRC(ishtp_send_suspend, 0xca5787ce, "");
SYMBOL_CRC(ishtp_send_resume, 0x22c3d392, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x624c7c58, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x2a0aa3dc, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x7d89c344, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x016fd954, "");
SYMBOL_CRC(ishtp_cl_free, 0x95ab3d35, "");
SYMBOL_CRC(ishtp_cl_link, 0x1b0b681f, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xc554c525, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x6b45f2d6, "");
SYMBOL_CRC(ishtp_cl_connect, 0xf719ec3a, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x4c5c8333, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x25e6a76f, "");
SYMBOL_CRC(ishtp_cl_send, 0x74ce5318, "");
SYMBOL_CRC(ishtp_get_client_data, 0x0e2f9c9b, "");
SYMBOL_CRC(ishtp_set_client_data, 0x4daf142d, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x3e47703f, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0xb19d99a0, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xce765e62, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x4f07d2f9, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x159ac9a0, "");
SYMBOL_CRC(ishtp_recv, 0xd0e6ec81, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xbb1b989d, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xbfad3158, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xf4d3eecb, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xf6f293a1, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xb606a805, "");
SYMBOL_CRC(ishtp_get_device, 0x6eee966d, "");
SYMBOL_CRC(ishtp_put_device, 0x40ea3a58, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x71a823b2, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xae2eca16, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x8e522677, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xa6513712, "");
SYMBOL_CRC(ishtp_reset_handler, 0x4cf974b4, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xf66ca118, "");
SYMBOL_CRC(ishtp_device, 0x50a60f40, "");
SYMBOL_CRC(ishtp_wait_resume, 0x59f36a48, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x2ed8e6af, "");
SYMBOL_CRC(ishtp_trace_callback, 0x8af9f690, "");
SYMBOL_CRC(ish_hw_reset, 0x30d3a988, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x502cd2bd, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x4dbfab3a, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x3d997575, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65fee2e, "put_device" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0x49920d6, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x45a1de29, "device_register" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xbd760b3, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2662721b, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xb1936dff, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x71ab28a1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b31e20f, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C564F54124D9DD9D85214FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
