#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_magn_regmap_config, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_probe, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_remove, "", "IIO_BMC150_MAGN");
KSYMTAB_DATA(bmc150_magn_pm_ops, "", "IIO_BMC150_MAGN");

SYMBOL_CRC(bmc150_magn_regmap_config, 0xc4a040f9, "");
SYMBOL_CRC(bmc150_magn_probe, 0xafbc245c, "");
SYMBOL_CRC(bmc150_magn_remove, 0xb1bfa867, "");
SYMBOL_CRC(bmc150_magn_pm_ops, 0x5ea2727e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6fc73cb, "iio_device_unregister" },
	{ 0x70fcdc1b, "__pm_runtime_disable" },
	{ 0x20ca23d2, "__pm_runtime_set_status" },
	{ 0x859368b, "iio_triggered_buffer_cleanup" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x12f363cb, "iio_trigger_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x660f0349, "regulator_bulk_disable" },
	{ 0xda98248b, "devm_iio_device_alloc" },
	{ 0x94b99b14, "devm_regulator_bulk_get" },
	{ 0x32a35e58, "iio_read_mount_matrix" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x148fc069, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x99213feb, "regmap_write" },
	{ 0xc8016901, "iio_device_id" },
	{ 0x86d98656, "__devm_iio_trigger_alloc" },
	{ 0x86f302ba, "iio_trigger_register" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x78ecac64, "iio_triggered_buffer_setup_ext" },
	{ 0x5fc9ad1e, "pm_runtime_enable" },
	{ 0xc7b7a8ce, "pm_runtime_set_autosuspend_delay" },
	{ 0x9ca18186, "__pm_runtime_use_autosuspend" },
	{ 0x81f47e9c, "__iio_device_register" },
	{ 0xd107a801, "dev_err_probe" },
	{ 0x19c9c71e, "is_acpi_device_node" },
	{ 0xd1d9bea9, "acpi_match_device" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0x6df284a9, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x24d6fdaf, "__pm_runtime_suspend" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xae542385, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb8b36848, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x97bfc8a3, "regmap_update_bits_base" },
	{ 0x96848186, "scnprintf" },
	{ 0xd56ec0cf, "iio_buffer_enabled" },
	{ 0x833031c8, "iio_push_to_buffers" },
	{ 0xd5c21e32, "iio_trigger_notify_done" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "60BA42D962978C4291D0227");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
