#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xefe163b4, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x3cd8c745, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x80285d00, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x7a76ee70, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xc86ef10f, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xca51169b, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xa2ee40d4, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x65a152b3, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xf7899e2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4fb342f, "free_candev" },
	{ 0x2eb1d8fa, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x7c6ed0ee, "can_get_echo_skb" },
	{ 0x64c1dfb4, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa471a440, "netdev_warn" },
	{ 0x99dcd37a, "unregister_candev" },
	{ 0x7b8e1965, "can_rx_offload_del" },
	{ 0x94232590, "devm_clk_get" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0x8a5f17ef, "pinctrl_pm_select_default_state" },
	{ 0xa34867b9, "__pm_runtime_idle" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x8ca988c6, "netif_device_attach" },
	{ 0x849157f5, "register_candev" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xada39e07, "can_rx_offload_add_manual" },
	{ 0xb5120792, "netif_napi_add_weight" },
	{ 0xd08422db, "phy_power_on" },
	{ 0x90acd04a, "open_candev" },
	{ 0x3fa3cee1, "close_candev" },
	{ 0x5ad1eecb, "phy_power_off" },
	{ 0x4eae820c, "netdev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbc67f39, "napi_disable" },
	{ 0x96efe228, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa433c5a9, "napi_enable" },
	{ 0x61fa19d3, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e25b9a, "pinctrl_pm_select_sleep_state" },
	{ 0xfaf2a97d, "netif_device_detach" },
	{ 0x91d5766e, "alloc_can_err_skb" },
	{ 0xd28206a2, "can_rx_offload_queue_timestamp" },
	{ 0xd4390f84, "netif_receive_skb" },
	{ 0x84e85577, "__dynamic_netdev_dbg" },
	{ 0x349826c4, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xfe73f605, "can_put_echo_skb" },
	{ 0x7e5dba66, "kfree_skb_reason" },
	{ 0xe11158af, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf844ef48, "netdev_printk" },
	{ 0x141db03, "alloc_canfd_skb" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xe2916d09, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x95d8eac7, "napi_complete_done" },
	{ 0x76ca8322, "napi_schedule_prep" },
	{ 0xfa4b8240, "can_rx_offload_threaded_irq_finish" },
	{ 0x544d2967, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xaafd0b0, "ethtool_op_get_ts_info" },
	{ 0x87c627f7, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x6b37199a, "__dev_fwnode" },
	{ 0xe032dc1, "fwnode_property_read_u32_array" },
	{ 0xbd64333e, "alloc_candev_mqs" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6E35583D1F1D35642984FA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
