#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xfd648d15, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x5509521e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e808105, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x20f98d5c, "netif_set_real_num_tx_queues" },
	{ 0x7fd0e97f, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8ad97124, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0x7f6c10b8, "debugfs_remove" },
	{ 0xfa05f941, "pci_read_config_word" },
	{ 0xa433c5a9, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x5b1794ab, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd2a40172, "dcbnl_ieee_notify" },
	{ 0x2ba7e248, "xsk_uses_need_wakeup" },
	{ 0xb434d2dd, "register_netdev" },
	{ 0xdc718a1d, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xfaa7456d, "free_netdev" },
	{ 0xe2863a9c, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xecc3e7e4, "ethtool_op_get_link" },
	{ 0xcfc072c6, "eth_platform_get_mac_address" },
	{ 0x353bbb68, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12f3153, "__SCK__tp_func_xdp_exception" },
	{ 0x11184dec, "netif_tx_stop_all_queues" },
	{ 0x9e879ae2, "pci_restore_state" },
	{ 0x61fa19d3, "netif_tx_wake_queue" },
	{ 0x136387e1, "device_del" },
	{ 0x75fea526, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb1064d5b, "dma_sync_single_for_cpu" },
	{ 0xb39acaa2, "dcb_getapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0xd6b3b151, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1ff82a79, "ptp_clock_event" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x869ab72e, "netif_schedule_queue" },
	{ 0x5dff8345, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe346d68e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc72971d0, "flow_rule_match_ipv6_addrs" },
	{ 0xf751e49d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcb00c723, "ptp_clock_unregister" },
	{ 0xc798ad6, "__pskb_pull_tail" },
	{ 0x722fe144, "xp_dma_unmap" },
	{ 0x84e85577, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x85292202, "netdev_unbind_sb_channel" },
	{ 0x83d65394, "dma_set_coherent_mask" },
	{ 0xb7d39bb4, "bpf_trace_run3" },
	{ 0x2559996c, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x1c4b97e1, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xffc26b19, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa10facad, "debugfs_create_file" },
	{ 0xb32e0235, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe037b9dd, "netdev_reset_tc" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0x546a1d09, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7b169bc7, "call_netdevice_notifiers" },
	{ 0x1c37bb6b, "xp_set_rxq_info" },
	{ 0xaa7813a5, "flow_rule_match_vlan" },
	{ 0x9ae930ec, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4244d92, "napi_build_skb" },
	{ 0x4ecb4d86, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd591d6cb, "netif_carrier_off" },
	{ 0x6169427, "devlink_priv" },
	{ 0x818855fc, "__hw_addr_sync_dev" },
	{ 0xdcbc1a1c, "devlink_port_register_with_ops" },
	{ 0xfadbead4, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3dd4f3d3, "netif_carrier_on" },
	{ 0xf4460f25, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x74cdce1f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9afce2c3, "dev_uc_add_excl" },
	{ 0x5aabe9f2, "pci_disable_device" },
	{ 0x39c5e8f7, "xp_free" },
	{ 0xb67f281a, "dev_mc_add_excl" },
	{ 0xa3f8be6f, "dev_uc_add" },
	{ 0x2a60702f, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35ba6eb8, "_dev_crit" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x2f110ec3, "xdp_master_redirect" },
	{ 0xd4f544e2, "__napi_schedule_irqoff" },
	{ 0x76ca8322, "napi_schedule_prep" },
	{ 0x25c6f382, "napi_consume_skb" },
	{ 0xcd914799, "pci_read_config_byte" },
	{ 0xfa8c4d9e, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xbc67f39, "napi_disable" },
	{ 0x56955715, "dev_kfree_skb_any_reason" },
	{ 0x80fcc525, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x9656682d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x34c5564f, "flow_rule_match_control" },
	{ 0x9ad24b5e, "pci_enable_sriov" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xe0398e93, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaafd0b0, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x1dfa2a1f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6e7bb6dc, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2aaa28d0, "__tracepoint_xdp_exception" },
	{ 0x9aae4147, "xsk_tx_completed" },
	{ 0xc03dff6c, "alloc_etherdev_mqs" },
	{ 0x39302d80, "pci_save_state" },
	{ 0x58c70962, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xab1d3d60, "pcie_capability_read_word" },
	{ 0xd8df8e5f, "device_set_wakeup_enable" },
	{ 0x6858bc43, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xda81cc34, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x69c64295, "pci_find_ext_capability" },
	{ 0xc5b957cd, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8178dfe0, "xp_dma_map" },
	{ 0xbaac3bb1, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xcb6fbba3, "skb_copy_bits" },
	{ 0x4cae06df, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x128a9fe0, "pci_request_selected_regions" },
	{ 0xc0e6b783, "pci_release_selected_regions" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0xf043ed66, "pci_wake_from_d3" },
	{ 0xcec1268d, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x31398150, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1ad31918, "auxiliary_device_init" },
	{ 0xa883a761, "pci_enable_device_mem" },
	{ 0xfd19bf90, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb5120792, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb953b92, "xsk_tx_peek_release_desc_batch" },
	{ 0xc1b0a8ed, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50da8178, "trace_raw_output_prep" },
	{ 0xecfbe6e8, "bpf_warn_invalid_xdp_action" },
	{ 0x583809f0, "ndo_dflt_bridge_getlink" },
	{ 0x21f8b396, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xd1ccdc6d, "xdp_convert_zc_to_xdp_frame" },
	{ 0x7b807f0a, "xdp_features_set_redirect_target" },
	{ 0x45c294b, "__trace_trigger_soft_disabled" },
	{ 0xbce0f72, "pci_get_device" },
	{ 0xc0029833, "dma_unmap_page_attrs" },
	{ 0x2594c588, "request_firmware" },
	{ 0x72f74522, "trace_event_printf" },
	{ 0x76fd3e27, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x921a5f76, "__pci_register_driver" },
	{ 0x650ad617, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x891e28fc, "pci_num_vf" },
	{ 0x170e27d, "flow_rule_match_eth_addrs" },
	{ 0x84a205e1, "skb_add_rx_frag" },
	{ 0x2f65caeb, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdf5ccaf1, "pci_disable_msi" },
	{ 0x8ecd4132, "ptp_clock_index" },
	{ 0x266282f0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6a479e2, "devlink_alloc_ns" },
	{ 0x585fe40a, "devlink_register" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x3a782656, "xdp_do_redirect" },
	{ 0x9c3a2593, "devlink_free" },
	{ 0x12188f9f, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2fa898c, "bpf_trace_run2" },
	{ 0xa471a440, "netdev_warn" },
	{ 0xde90006c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4bec4c0a, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x6bd6a6bb, "flow_rule_match_ipv4_addrs" },
	{ 0xcb6b05bc, "__netif_napi_del" },
	{ 0xf6d53787, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7bf92f21, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x4eae820c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f456349, "pskb_expand_head" },
	{ 0x26bc9e27, "dev_driver_string" },
	{ 0x6fcded9f, "pci_restore_msi_state" },
	{ 0xcb3a4565, "trace_event_buffer_commit" },
	{ 0xff1d8364, "dev_addr_mod" },
	{ 0x4a345f02, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x13ddcb33, "ptp_find_pin" },
	{ 0xcff18ba, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x58390570, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x95d8eac7, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa005ab17, "priv_to_devlink" },
	{ 0x19a3848, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x65fee2e, "put_device" },
	{ 0x544d2967, "__napi_schedule" },
	{ 0x5c92f7b6, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa715a84a, "pci_enable_msix_range" },
	{ 0x372cb386, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8fe7e56, "__free_pages" },
	{ 0x8aa902c3, "__hw_addr_unsync_dev" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0x6cdc84, "napi_gro_receive" },
	{ 0x87e57fc4, "xdp_features_clear_redirect_target" },
	{ 0xd1bc746b, "pci_select_bars" },
	{ 0x73c07679, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8df53ca0, "xp_raw_get_dma" },
	{ 0x1e8e2127, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf800b8ff, "xdp_rxq_info_is_reg" },
	{ 0xfb97297e, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb06674df, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4eabfe40, "pci_enable_msi" },
	{ 0xae0dfe4f, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xb0317dea, "devlink_port_unregister" },
	{ 0x2d771e14, "devm_kfree" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xc0797bc5, "init_net" },
	{ 0xd3f8654a, "softnet_data" },
	{ 0xdd4b5de6, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xb08aaa34, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf5d20037, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "46497324FE6D760A6230455");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
