#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc6f4e66f, "ieee80211_register_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xad92123c, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36554b0c, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xae9d6921, "ieee80211_tx_status_irqsafe" },
	{ 0xa185bc53, "usb_bulk_msg" },
	{ 0x9ab15ece, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x29bfe31a, "usb_submit_urb" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0xb949b9d4, "skb_queue_tail" },
	{ 0xe49a17ca, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xf3f0a703, "usb_free_coherent" },
	{ 0x4647388, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7e5dba66, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84c2653a, "skb_push" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa6a085ef, "usb_control_msg" },
	{ 0x659df5db, "ieee80211_wake_queues" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x982c0baa, "ieee80211_alloc_hw_nm" },
	{ 0x840e2783, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcd6567c9, "__netdev_alloc_skb" },
	{ 0xf4134a91, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8bfea03c, "pv_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc010beed, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9eae2109, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1dd40d5d, "usb_kill_urb" },
	{ 0x9fc190dc, "ieee80211_beacon_get_tim" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xe6d21ff7, "ieee80211_rx_irqsafe" },
	{ 0x3e6b92a3, "usb_put_intf" },
	{ 0xe940b654, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8d4f19b9, "usb_free_urb" },
	{ 0xa66af9de, "skb_put" },
	{ 0x2dc95f1b, "usb_alloc_coherent" },
	{ 0xfd19bf90, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x89d1cf02, "skb_dequeue" },
	{ 0x5d029ddd, "ieee80211_free_hw" },
	{ 0x2594c588, "request_firmware" },
	{ 0xb61e9db4, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa8a070c2, "regulatory_hint" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "EF4EF3336A72A497A1F5378");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
