#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x5d06da88, "rt2800_mcu_request" },
	{ 0x29904d88, "rt2800mmio_toggle_irq" },
	{ 0x1e57798b, "rt2800mmio_enable_radio" },
	{ 0x9457a967, "rt2x00pci_remove" },
	{ 0x6342fed2, "rt2x00pci_pm_ops" },
	{ 0x2ade0994, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x7a3a0430, "rt2800mmio_probe_hw" },
	{ 0xffeb0654, "rt2800_check_firmware" },
	{ 0x972faff6, "rt2800_load_firmware" },
	{ 0x7be8b513, "rt2x00mmio_initialize" },
	{ 0xaea3aa07, "rt2x00mmio_uninitialize" },
	{ 0x8e8d6cf0, "rt2800mmio_get_entry_state" },
	{ 0x502d7530, "rt2800mmio_clear_entry" },
	{ 0xf7a5dcbe, "rt2800_rfkill_poll" },
	{ 0x9c50b2d1, "rt2800_link_stats" },
	{ 0xab5c09ca, "rt2800_reset_tuner" },
	{ 0x9d66f86f, "rt2800_link_tuner" },
	{ 0xe938ef55, "rt2800_gain_calibration" },
	{ 0x9b6428bc, "rt2800_vco_calibration" },
	{ 0x5e14ebd, "rt2800_watchdog" },
	{ 0x2f197e02, "rt2800mmio_start_queue" },
	{ 0x71c9540a, "rt2800mmio_kick_queue" },
	{ 0x69e13306, "rt2800mmio_stop_queue" },
	{ 0x4032e710, "rt2800mmio_flush_queue" },
	{ 0xf51953e8, "rt2800mmio_write_tx_desc" },
	{ 0x5a0119bd, "rt2800_write_tx_data" },
	{ 0xe6dfab5d, "rt2800_write_beacon" },
	{ 0xcdffb222, "rt2800_clear_beacon" },
	{ 0xd07525e7, "rt2800mmio_fill_rxdone" },
	{ 0x78346887, "rt2800_config_shared_key" },
	{ 0x1ab8b182, "rt2800_config_pairwise_key" },
	{ 0x2958c302, "rt2800_config_filter" },
	{ 0xc9dbcff1, "rt2800_config_intf" },
	{ 0xa05926b4, "rt2800_config_erp" },
	{ 0xb0d737ca, "rt2800_config_ant" },
	{ 0xc37f0d4a, "rt2800_config" },
	{ 0xde64a191, "rt2800_pre_reset_hw" },
	{ 0x51952d63, "rt2x00mmio_regbusy_read" },
	{ 0x5231b1ef, "rt2800mmio_init_registers" },
	{ 0x25fa7680, "rt2800mmio_get_txwi" },
	{ 0x6571f16d, "rt2800mmio_get_dma_done" },
	{ 0xa02d92b1, "rt2x00mac_tx" },
	{ 0xc81afddd, "rt2x00mac_start" },
	{ 0xa8f5dd20, "rt2x00mac_stop" },
	{ 0xc2ac3eb2, "rt2x00mac_add_interface" },
	{ 0x93604e0d, "rt2x00mac_remove_interface" },
	{ 0xa5dc6725, "rt2x00mac_config" },
	{ 0x453d56b0, "rt2x00mac_bss_info_changed" },
	{ 0x849e21c4, "rt2x00mac_configure_filter" },
	{ 0xcbc4fe49, "rt2x00mac_set_key" },
	{ 0xe21e96ca, "rt2x00mac_sw_scan_start" },
	{ 0x3dd19707, "rt2x00mac_sw_scan_complete" },
	{ 0x2f01c5f4, "rt2x00mac_get_stats" },
	{ 0x97d87e0c, "rt2800_get_key_seq" },
	{ 0xbc4e76ea, "rt2800_set_rts_threshold" },
	{ 0x6f571fb, "rt2800_sta_add" },
	{ 0xd4e058b6, "rt2800_sta_remove" },
	{ 0x1b0bb49b, "rt2800_conf_tx" },
	{ 0xd7cf824f, "rt2800_get_tsf" },
	{ 0x4e45b64d, "rt2800_ampdu_action" },
	{ 0x82ba4469, "rt2800_get_survey" },
	{ 0xa41598f4, "rt2x00mac_rfkill_poll" },
	{ 0xa1af92aa, "rt2x00mac_flush" },
	{ 0x3147cc27, "rt2x00mac_get_ringparam" },
	{ 0x4e262ff0, "rt2x00mac_tx_frames_pending" },
	{ 0xba73196, "rt2x00mac_reconfig_complete" },
	{ 0x36554b0c, "ieee80211_handle_wake_tx_queue" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x921a5f76, "__pci_register_driver" },
	{ 0xcdbce0dc, "rt2x00pci_probe" },
	{ 0x8d821a28, "rt2800_efuse_detect" },
	{ 0xef6c80bd, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7bf92f21, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1A66DB6D48459E8237810C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
