#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(scsi_logging_level, "", "");
KSYMTAB_FUNC(scsi_change_queue_depth, "", "");
KSYMTAB_FUNC(scsi_track_queue_full, "", "");
KSYMTAB_FUNC(scsi_get_vpd_page, "_gpl", "");
KSYMTAB_FUNC(scsi_report_opcode, "", "");
KSYMTAB_FUNC(scsi_device_get, "", "");
KSYMTAB_FUNC(scsi_device_put, "", "");
KSYMTAB_FUNC(__scsi_iterate_devices, "", "");
KSYMTAB_FUNC(starget_for_each_device, "", "");
KSYMTAB_FUNC(__starget_for_each_device, "", "");
KSYMTAB_FUNC(__scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(scsi_device_lookup_by_target, "", "");
KSYMTAB_FUNC(__scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_device_lookup, "", "");
KSYMTAB_FUNC(scsi_remove_host, "", "");
KSYMTAB_FUNC(scsi_add_host_with_dma, "", "");
KSYMTAB_FUNC(scsi_host_alloc, "", "");
KSYMTAB_FUNC(scsi_host_lookup, "", "");
KSYMTAB_FUNC(scsi_host_get, "", "");
KSYMTAB_FUNC(scsi_host_busy, "", "");
KSYMTAB_FUNC(scsi_host_put, "", "");
KSYMTAB_FUNC(scsi_is_host_device, "", "");
KSYMTAB_FUNC(scsi_queue_work, "_gpl", "");
KSYMTAB_FUNC(scsi_flush_work, "_gpl", "");
KSYMTAB_FUNC(scsi_host_complete_all_commands, "_gpl", "");
KSYMTAB_FUNC(scsi_host_busy_iter, "_gpl", "");
KSYMTAB_FUNC(scsi_set_medium_removal, "", "");
KSYMTAB_FUNC(scsi_cmd_allowed, "", "");
KSYMTAB_FUNC(put_sg_io_hdr, "", "");
KSYMTAB_FUNC(get_sg_io_hdr, "", "");
KSYMTAB_FUNC(scsi_ioctl, "", "");
KSYMTAB_FUNC(scsi_ioctl_block_when_processing_errors, "_gpl", "");
KSYMTAB_FUNC(scsi_bios_ptable, "", "");
KSYMTAB_FUNC(scsi_partsize, "", "");
KSYMTAB_FUNC(scsicam_bios_param, "", "");
KSYMTAB_FUNC(scsi_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(scsi_block_when_processing_errors, "", "");
KSYMTAB_FUNC(scsi_check_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_prep_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_restore_cmnd, "", "");
KSYMTAB_FUNC(scsi_eh_finish_cmd, "", "");
KSYMTAB_FUNC(scsi_eh_get_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_ready_devs, "_gpl", "");
KSYMTAB_FUNC(scsi_eh_flush_done_q, "", "");
KSYMTAB_FUNC(scsi_report_bus_reset, "", "");
KSYMTAB_FUNC(scsi_report_device_reset, "", "");
KSYMTAB_FUNC(scsi_command_normalize_sense, "", "");
KSYMTAB_FUNC(scsi_get_sense_info_fld, "", "");
KSYMTAB_FUNC(scsi_execute_cmd, "", "");
KSYMTAB_FUNC(scsi_free_sgtables, "_gpl", "");
KSYMTAB_FUNC(scsi_alloc_sgtables, "", "");
KSYMTAB_FUNC(scsi_alloc_request, "_gpl", "");
KSYMTAB_FUNC(scsi_done, "", "");
KSYMTAB_FUNC(scsi_done_direct, "", "");
KSYMTAB_FUNC(__scsi_init_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_device_from_queue, "_gpl", "");
KSYMTAB_FUNC(scsi_block_requests, "", "");
KSYMTAB_FUNC(scsi_unblock_requests, "", "");
KSYMTAB_FUNC(scsi_mode_select, "_gpl", "");
KSYMTAB_FUNC(scsi_mode_sense, "", "");
KSYMTAB_FUNC(scsi_test_unit_ready, "", "");
KSYMTAB_FUNC(scsi_device_set_state, "", "");
KSYMTAB_FUNC(sdev_evt_send, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_alloc, "_gpl", "");
KSYMTAB_FUNC(sdev_evt_send_simple, "_gpl", "");
KSYMTAB_FUNC(scsi_device_quiesce, "", "");
KSYMTAB_FUNC(scsi_device_resume, "", "");
KSYMTAB_FUNC(scsi_target_quiesce, "", "");
KSYMTAB_FUNC(scsi_target_resume, "", "");
KSYMTAB_FUNC(scsi_internal_device_block_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_internal_device_unblock_nowait, "_gpl", "");
KSYMTAB_FUNC(scsi_block_targets, "_gpl", "");
KSYMTAB_FUNC(scsi_target_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_host_block, "_gpl", "");
KSYMTAB_FUNC(scsi_host_unblock, "_gpl", "");
KSYMTAB_FUNC(scsi_kmap_atomic_sg, "", "");
KSYMTAB_FUNC(scsi_kunmap_atomic_sg, "", "");
KSYMTAB_FUNC(sdev_disable_disk_events, "", "");
KSYMTAB_FUNC(sdev_enable_disk_events, "", "");
KSYMTAB_FUNC(scsi_vpd_lun_id, "", "");
KSYMTAB_FUNC(scsi_vpd_tpg_id, "", "");
KSYMTAB_FUNC(scsi_build_sense, "_gpl", "");
KSYMTAB_FUNC(scsi_sense_key_string, "", "");
KSYMTAB_FUNC(scsi_extd_sense_format, "", "");
KSYMTAB_FUNC(scsi_hostbyte_string, "", "");
KSYMTAB_FUNC(scsi_mlreturn_string, "", "");
KSYMTAB_FUNC(scsi_dma_map, "", "");
KSYMTAB_FUNC(scsi_dma_unmap, "", "");
KSYMTAB_FUNC(scsi_is_target_device, "", "");
KSYMTAB_FUNC(scsi_sanitize_inquiry_string, "", "");
KSYMTAB_FUNC(__scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_add_device, "", "");
KSYMTAB_FUNC(scsi_resume_device, "", "");
KSYMTAB_FUNC(scsi_rescan_device, "", "");
KSYMTAB_FUNC(scsi_scan_target, "", "");
KSYMTAB_FUNC(scsi_scan_host, "", "");
KSYMTAB_FUNC(scsi_remove_device, "", "");
KSYMTAB_FUNC(scsi_remove_target, "", "");
KSYMTAB_FUNC(scsi_register_driver, "", "");
KSYMTAB_FUNC(scsi_register_interface, "", "");
KSYMTAB_FUNC(scsi_is_sdev_device, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_add_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_list_del_keyed, "", "");
KSYMTAB_FUNC(scsi_get_device_flags_keyed, "", "");
KSYMTAB_FUNC(scsi_dev_info_add_list, "", "");
KSYMTAB_FUNC(scsi_dev_info_remove_list, "", "");
KSYMTAB_DATA(scsi_nl_sock, "_gpl", "");
KSYMTAB_FUNC(scsi_template_proc_dir, "_gpl", "");
KSYMTAB_FUNC(sdev_prefix_printk, "", "");
KSYMTAB_FUNC(scmd_printk, "", "");
KSYMTAB_FUNC(__scsi_format_command, "", "");
KSYMTAB_FUNC(scsi_print_command, "", "");
KSYMTAB_FUNC(scsi_print_sense_hdr, "", "");
KSYMTAB_FUNC(__scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_sense, "", "");
KSYMTAB_FUNC(scsi_print_result, "", "");
KSYMTAB_FUNC(scsi_autopm_get_device, "_gpl", "");
KSYMTAB_FUNC(scsi_autopm_put_device, "_gpl", "");
KSYMTAB_FUNC(scsi_register_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_unregister_device_handler, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_activate, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_set_params, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attach, "_gpl", "");
KSYMTAB_FUNC(scsi_dh_attached_handler_name, "_gpl", "");

SYMBOL_CRC(scsi_logging_level, 0xaf3dd7dc, "");
SYMBOL_CRC(scsi_change_queue_depth, 0xf5a75ff7, "");
SYMBOL_CRC(scsi_track_queue_full, 0xf36b30b8, "");
SYMBOL_CRC(scsi_get_vpd_page, 0x7b085da1, "_gpl");
SYMBOL_CRC(scsi_report_opcode, 0x5488d486, "");
SYMBOL_CRC(scsi_device_get, 0x14b79475, "");
SYMBOL_CRC(scsi_device_put, 0x55abe5f5, "");
SYMBOL_CRC(__scsi_iterate_devices, 0x065ecfe3, "");
SYMBOL_CRC(starget_for_each_device, 0x50c0a3f6, "");
SYMBOL_CRC(__starget_for_each_device, 0x7b60f960, "");
SYMBOL_CRC(__scsi_device_lookup_by_target, 0xb3c632e8, "");
SYMBOL_CRC(scsi_device_lookup_by_target, 0x5aec5614, "");
SYMBOL_CRC(__scsi_device_lookup, 0xda0d2698, "");
SYMBOL_CRC(scsi_device_lookup, 0x23e637bb, "");
SYMBOL_CRC(scsi_remove_host, 0x5ac8fb84, "");
SYMBOL_CRC(scsi_add_host_with_dma, 0xdcbb5719, "");
SYMBOL_CRC(scsi_host_alloc, 0xe024c516, "");
SYMBOL_CRC(scsi_host_lookup, 0x374b0010, "");
SYMBOL_CRC(scsi_host_get, 0x6d63087d, "");
SYMBOL_CRC(scsi_host_busy, 0xd9610f47, "");
SYMBOL_CRC(scsi_host_put, 0x66b05789, "");
SYMBOL_CRC(scsi_is_host_device, 0xaf574242, "");
SYMBOL_CRC(scsi_queue_work, 0x5fcb0844, "_gpl");
SYMBOL_CRC(scsi_flush_work, 0x961c4ca3, "_gpl");
SYMBOL_CRC(scsi_host_complete_all_commands, 0x1c33c574, "_gpl");
SYMBOL_CRC(scsi_host_busy_iter, 0x2ebd11c2, "_gpl");
SYMBOL_CRC(scsi_set_medium_removal, 0x7d40099a, "");
SYMBOL_CRC(scsi_cmd_allowed, 0xeda2e038, "");
SYMBOL_CRC(put_sg_io_hdr, 0x5ec4aee6, "");
SYMBOL_CRC(get_sg_io_hdr, 0x1de4ccb2, "");
SYMBOL_CRC(scsi_ioctl, 0x0e84c12e, "");
SYMBOL_CRC(scsi_ioctl_block_when_processing_errors, 0x6729de6a, "_gpl");
SYMBOL_CRC(scsi_bios_ptable, 0x8201e22c, "");
SYMBOL_CRC(scsi_partsize, 0x608829a9, "");
SYMBOL_CRC(scsicam_bios_param, 0x9bed984e, "");
SYMBOL_CRC(scsi_schedule_eh, 0x8bbc8e79, "_gpl");
SYMBOL_CRC(scsi_block_when_processing_errors, 0xcc5290a1, "");
SYMBOL_CRC(scsi_check_sense, 0x7f0b4535, "_gpl");
SYMBOL_CRC(scsi_eh_prep_cmnd, 0x40cbb8f9, "");
SYMBOL_CRC(scsi_eh_restore_cmnd, 0xd664aec0, "");
SYMBOL_CRC(scsi_eh_finish_cmd, 0x200f340d, "");
SYMBOL_CRC(scsi_eh_get_sense, 0x26c90ea4, "_gpl");
SYMBOL_CRC(scsi_eh_ready_devs, 0xe053c6eb, "_gpl");
SYMBOL_CRC(scsi_eh_flush_done_q, 0xf811e69d, "");
SYMBOL_CRC(scsi_report_bus_reset, 0x29b9aa2e, "");
SYMBOL_CRC(scsi_report_device_reset, 0xd62a05ab, "");
SYMBOL_CRC(scsi_command_normalize_sense, 0xe0166bef, "");
SYMBOL_CRC(scsi_get_sense_info_fld, 0xdd849d51, "");
SYMBOL_CRC(scsi_execute_cmd, 0x60049334, "");
SYMBOL_CRC(scsi_free_sgtables, 0x8c7baf1c, "_gpl");
SYMBOL_CRC(scsi_alloc_sgtables, 0x4b872b70, "");
SYMBOL_CRC(scsi_alloc_request, 0xe1bc4b7d, "_gpl");
SYMBOL_CRC(scsi_done, 0xb9b2f9c3, "");
SYMBOL_CRC(scsi_done_direct, 0x2a5d7dbc, "");
SYMBOL_CRC(__scsi_init_queue, 0xa6a31340, "_gpl");
SYMBOL_CRC(scsi_device_from_queue, 0x33c4b61f, "_gpl");
SYMBOL_CRC(scsi_block_requests, 0xfa6c9ae8, "");
SYMBOL_CRC(scsi_unblock_requests, 0x1770ddd1, "");
SYMBOL_CRC(scsi_mode_select, 0xe177f81f, "_gpl");
SYMBOL_CRC(scsi_mode_sense, 0x925819e5, "");
SYMBOL_CRC(scsi_test_unit_ready, 0x4d03e951, "");
SYMBOL_CRC(scsi_device_set_state, 0x6845dbdc, "");
SYMBOL_CRC(sdev_evt_send, 0x5a46a779, "_gpl");
SYMBOL_CRC(sdev_evt_alloc, 0x13ed8784, "_gpl");
SYMBOL_CRC(sdev_evt_send_simple, 0x09ce5588, "_gpl");
SYMBOL_CRC(scsi_device_quiesce, 0xd889f2cf, "");
SYMBOL_CRC(scsi_device_resume, 0xf4f13d0f, "");
SYMBOL_CRC(scsi_target_quiesce, 0xe6f19051, "");
SYMBOL_CRC(scsi_target_resume, 0x43ba943f, "");
SYMBOL_CRC(scsi_internal_device_block_nowait, 0x6fcca66d, "_gpl");
SYMBOL_CRC(scsi_internal_device_unblock_nowait, 0x1ff210ba, "_gpl");
SYMBOL_CRC(scsi_block_targets, 0xb285fd6f, "_gpl");
SYMBOL_CRC(scsi_target_unblock, 0x39a3f9b1, "_gpl");
SYMBOL_CRC(scsi_host_block, 0x5dfa169d, "_gpl");
SYMBOL_CRC(scsi_host_unblock, 0xb2176d7f, "_gpl");
SYMBOL_CRC(scsi_kmap_atomic_sg, 0xae66472b, "");
SYMBOL_CRC(scsi_kunmap_atomic_sg, 0x56c8799d, "");
SYMBOL_CRC(sdev_disable_disk_events, 0x5bbfbf4b, "");
SYMBOL_CRC(sdev_enable_disk_events, 0x21419ce5, "");
SYMBOL_CRC(scsi_vpd_lun_id, 0x40aac87d, "");
SYMBOL_CRC(scsi_vpd_tpg_id, 0x33855850, "");
SYMBOL_CRC(scsi_build_sense, 0x1a66c86a, "_gpl");
SYMBOL_CRC(scsi_sense_key_string, 0x96cd2b04, "");
SYMBOL_CRC(scsi_extd_sense_format, 0xd8a994eb, "");
SYMBOL_CRC(scsi_hostbyte_string, 0xb3d2c76d, "");
SYMBOL_CRC(scsi_mlreturn_string, 0xd1d87e92, "");
SYMBOL_CRC(scsi_dma_map, 0xfa91f299, "");
SYMBOL_CRC(scsi_dma_unmap, 0x4e587e31, "");
SYMBOL_CRC(scsi_is_target_device, 0x9365b605, "");
SYMBOL_CRC(scsi_sanitize_inquiry_string, 0x27756bc8, "");
SYMBOL_CRC(__scsi_add_device, 0xf6a6e0fa, "");
SYMBOL_CRC(scsi_add_device, 0x14a906f2, "");
SYMBOL_CRC(scsi_resume_device, 0x608a3189, "");
SYMBOL_CRC(scsi_rescan_device, 0x42e491e9, "");
SYMBOL_CRC(scsi_scan_target, 0x5bc6f0ac, "");
SYMBOL_CRC(scsi_scan_host, 0xacbba696, "");
SYMBOL_CRC(scsi_remove_device, 0x4ebc9b8d, "");
SYMBOL_CRC(scsi_remove_target, 0xa00e43bc, "");
SYMBOL_CRC(scsi_register_driver, 0xd0a03d86, "");
SYMBOL_CRC(scsi_register_interface, 0xf960b84e, "");
SYMBOL_CRC(scsi_is_sdev_device, 0x7e8015b3, "");
SYMBOL_CRC(scsi_dev_info_list_add_keyed, 0x2733eaf7, "");
SYMBOL_CRC(scsi_dev_info_list_del_keyed, 0xccfd2ebc, "");
SYMBOL_CRC(scsi_get_device_flags_keyed, 0x626f8dc9, "");
SYMBOL_CRC(scsi_dev_info_add_list, 0x204c5067, "");
SYMBOL_CRC(scsi_dev_info_remove_list, 0x97bdfa60, "");
SYMBOL_CRC(scsi_nl_sock, 0xa9216f1f, "_gpl");
SYMBOL_CRC(scsi_template_proc_dir, 0xa6f86e1e, "_gpl");
SYMBOL_CRC(sdev_prefix_printk, 0x58e698e1, "");
SYMBOL_CRC(scmd_printk, 0xf9de73c0, "");
SYMBOL_CRC(__scsi_format_command, 0x93022ba6, "");
SYMBOL_CRC(scsi_print_command, 0xdbb659bc, "");
SYMBOL_CRC(scsi_print_sense_hdr, 0x7fc1bb0b, "");
SYMBOL_CRC(__scsi_print_sense, 0xaa67fd53, "");
SYMBOL_CRC(scsi_print_sense, 0x88a0efa3, "");
SYMBOL_CRC(scsi_print_result, 0x736145b6, "");
SYMBOL_CRC(scsi_autopm_get_device, 0x01f56002, "_gpl");
SYMBOL_CRC(scsi_autopm_put_device, 0xc707d1f5, "_gpl");
SYMBOL_CRC(scsi_register_device_handler, 0xb98b48d0, "_gpl");
SYMBOL_CRC(scsi_unregister_device_handler, 0xe797fe9b, "_gpl");
SYMBOL_CRC(scsi_dh_activate, 0xc0b3e2e9, "_gpl");
SYMBOL_CRC(scsi_dh_set_params, 0xb281b670, "_gpl");
SYMBOL_CRC(scsi_dh_attach, 0x7ddf024a, "_gpl");
SYMBOL_CRC(scsi_dh_attached_handler_name, 0x2af0c976, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a39ed2a, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9f83e668, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x81828ce4, "module_put" },
	{ 0xe1a96134, "blk_get_queue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xffdc6838, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x135345f0, "blk_rq_map_user" },
	{ 0xae0dfe4f, "perf_trace_run_bpf_submit" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xc0797bc5, "init_net" },
	{ 0x4fe303e, "blk_update_request" },
	{ 0x4647388, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x412081d9, "bus_find_device" },
	{ 0x299bad0f, "device_add" },
	{ 0x44e98e78, "blk_rq_map_user_io" },
	{ 0x5166b9ae, "blk_execute_rq_nowait" },
	{ 0xa07a37f0, "memchr" },
	{ 0x459a3fbb, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6e41a5a1, "blk_mq_delay_run_hw_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10dd412d, "kmem_cache_free" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x866076d9, "seq_putc" },
	{ 0xd0320792, "__blk_rq_map_sg" },
	{ 0xdc718a1d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xaca67aa2, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x1df2da38, "blk_queue_segment_boundary" },
	{ 0xec044e4d, "transport_configure_device" },
	{ 0xe5de6ebb, "bsg_register_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc64c6ce2, "netlink_kernel_release" },
	{ 0xf5c6cc93, "class_unregister" },
	{ 0x9a1fd000, "blk_mq_free_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x23ba8174, "class_interface_register" },
	{ 0x72ea7b2d, "scsi_device_type" },
	{ 0x6fa142c5, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x97502b3e, "transport_add_device" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8fef719f, "blk_put_queue" },
	{ 0xff784fef, "bpf_trace_run1" },
	{ 0x136387e1, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x185d0af6, "proc_mkdir" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x421f0c92, "blk_mq_wait_quiesce_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf8179b88, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3e17ba21, "blk_mq_init_queue" },
	{ 0x6e501a35, "blk_post_runtime_resume" },
	{ 0x4269723, "blk_rq_unmap_user" },
	{ 0x1e378e68, "param_ops_string" },
	{ 0x7a0dc4d, "blk_clear_pm_only" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f14cd05, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8bfea03c, "pv_ops" },
	{ 0xb372c097, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x149c554d, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x666a47a6, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd8f8e5e9, "pm_runtime_forbid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x36980e29, "blk_mq_freeze_queue" },
	{ 0x546a1d09, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d1494fe, "blk_mq_destroy_queue" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9a427125, "sysfs_break_active_protection" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4ac08300, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xdc7dd387, "blk_rq_map_integrity_sg" },
	{ 0xf9dec1d6, "transport_destroy_device" },
	{ 0x79df1a98, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x4b773d60, "device_match_any" },
	{ 0xa790e00c, "blk_mq_unfreeze_queue" },
	{ 0x42c511d9, "blk_mq_start_request" },
	{ 0xa967c99b, "blk_mq_tagset_busy_iter" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0xaf3e7c3c, "single_release" },
	{ 0xba9bd585, "blk_mq_quiesce_queue_nowait" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x720fe2f5, "dma_unmap_sg_attrs" },
	{ 0x86d1c1c4, "seq_open" },
	{ 0x3c3e2c3a, "blk_pre_runtime_suspend" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x24d6fdaf, "__pm_runtime_suspend" },
	{ 0x6980819, "blk_queue_max_hw_sectors" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xbd760b3, "param_ops_int" },
	{ 0x5d3b07df, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6c1239cb, "blk_mq_run_hw_queues" },
	{ 0xfbad3cf0, "scsi_normalize_sense" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x70fcdc1b, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc425648e, "blk_post_runtime_suspend" },
	{ 0xadf6da40, "blk_mq_requeue_request" },
	{ 0x2662721b, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7f1d5de, "class_register" },
	{ 0xa34867b9, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa2206a22, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x96be22a2, "kmem_cache_alloc_node" },
	{ 0x6bc95698, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb1936dff, "bus_register" },
	{ 0xcd88d78d, "kmem_cache_destroy" },
	{ 0x482eadd5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd1baf488, "class_find_device" },
	{ 0xc684fc39, "__blk_mq_end_request" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x68d94d9b, "param_ops_ullong" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa42130, "add_disk_randomness" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x4cae06df, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x71ab28a1, "dev_set_name" },
	{ 0x3afc4a8f, "sbitmap_resize" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x846d5673, "proc_create" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xd28d0fc8, "seq_release" },
	{ 0x3d8798a0, "blk_queue_max_segment_size" },
	{ 0x1813de57, "blk_pre_runtime_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50da8178, "trace_raw_output_prep" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x40d92be7, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1b31e20f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x45c294b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x72f74522, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9610481, "read_cache_folio" },
	{ 0x8cd4b9d, "sysfs_unbreak_active_protection" },
	{ 0xa0653774, "device_initialize" },
	{ 0xe3c9cd99, "blk_mq_unquiesce_queue" },
	{ 0x50c067cf, "blk_queue_dma_alignment" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0x266282f0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x3a40fbad, "seq_lseek" },
	{ 0xd2c32d38, "__netlink_kernel_create" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x2c1ab6f4, "blk_mq_kick_requeue_list" },
	{ 0xe1613377, "proc_create_data" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xf1dfd515, "device_for_each_child" },
	{ 0xb2fa898c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x64db261, "get_device" },
	{ 0x9e08ab57, "blk_set_queue_depth" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x67407d9, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa91014ce, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63e0fe4, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x76cbbff0, "platform_bus" },
	{ 0xca70ccfc, "blk_mq_alloc_tag_set" },
	{ 0x5711de37, "wake_up_process" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0xcb3a4565, "trace_event_buffer_commit" },
	{ 0x7e87aa7b, "blk_rq_init" },
	{ 0x20572778, "blk_rq_count_integrity_sg" },
	{ 0x41b9a6e6, "bsg_unregister_queue" },
	{ 0xaac17337, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20ca23d2, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1b2e4c8f, "blk_execute_rq" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x8b8dee02, "blk_set_pm_only" },
	{ 0x92740165, "dma_max_mapping_size" },
	{ 0x65fee2e, "put_device" },
	{ 0x5fc9ad1e, "pm_runtime_enable" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9a6a3485, "blk_mq_free_request" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "scsi_common");


MODULE_INFO(srcversion, "53E8A284F3F28270DDAE0F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
