#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0xec0de30e, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x59ba733f, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0xb6f490b5, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x337c616e, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0xca53a7f3, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xa28be9cf, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x3a4d1bcb, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x3f2678c1, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x937030d0, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x78255d0e, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xad92123c, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x3e6b92a3, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0xf6454ee7, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0xaa414542, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0xda6164c3, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x2dc95f1b, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xf3f0a703, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xbc9b8588, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x35cd6709, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0xfb18356e, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0xcb076b2c, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xbebea7f3, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x06668251, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x57411f05, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x6bdb9ec1, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xb54c7532, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x771e2fef, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0xa46f42e5, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x79aed837, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x98f5c321, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x3c89c884, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0xe54761fc, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x9ab15ece, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0xe49a17ca, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x5914ba6d, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xae0ecf40, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xf06b9876, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x3643819e, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x8e1251bb, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x553fce0f, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x05018f2a, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x678129ff, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0xa25797c8, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0xa4ee7bc5, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x19fccc9b, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x6cea1912, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xdcfdc214, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x1106372f, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0xb93a3c9e, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x14160743, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0xe93a8575, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x1e4a7ad9, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xe33f5713, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x72144b3e, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x97e871ab, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x3d819516, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x649b9fab, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x50adb2e3, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0xd68f3f14, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x176e30e9, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x7af81852, "_gpl");
SYMBOL_CRC(usb_mon_register, 0xb4bfa680, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x26255b88, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xe940b654, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x8d4f19b9, "_gpl");
SYMBOL_CRC(usb_get_urb, 0x07d171da, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x6a56ec33, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0xb0f0750a, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xd8f2dd4a, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xc73ff7c6, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x29bfe31a, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0xac317065, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x1dd40d5d, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x66075f5f, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0x4cc1d402, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xfe1fe665, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0xa44a361b, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xa6a085ef, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0xd61fc9c1, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xf0a78d93, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xe08a1394, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xa185bc53, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x90745d76, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0xea79864d, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x5866fb1f, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x6e170189, "_gpl");
SYMBOL_CRC(usb_string, 0x70d15830, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x5304c6d1, "_gpl");
SYMBOL_CRC(usb_get_status, 0x125f4aff, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x22d90094, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0xe86043d6, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x11b73fee, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x9eae2109, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xf723c725, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0xbb0a1222, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xb95f22ef, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x9591f6a0, "");
SYMBOL_CRC(usb_store_new_id, 0xfcf6fdab, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xc17e9946, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x09932c8c, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x0c9df471, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x079d12de, "_gpl");
SYMBOL_CRC(usb_match_id, 0xc4422b45, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x92edd01d, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x445dd3cb, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x0b4e7429, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xb61e9db4, "_gpl");
SYMBOL_CRC(usb_deregister, 0x840e2783, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xa8480c5a, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x4b7e3f67, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x40777fd6, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x440f4c67, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x5f063452, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x78534366, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x3f3c86d4, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x7322a550, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x836cea8a, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0xb75f94ae, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x825cf3e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x2a04298d, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x80c7f252, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x54ed99aa, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0xe535397a, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x174e8c7f, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x8056d314, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x02e8eb98, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x6aee402c, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xdbf181ef, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x1810ce70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x150f4eda, "device_create" },
	{ 0x7517fa0a, "noop_llseek" },
	{ 0x17d20e59, "sysfs_merge_group" },
	{ 0x6d9bc5d4, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x60f56cf, "kernfs_find_and_get_ns" },
	{ 0xffc0e52, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd08422db, "phy_power_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x377429ec, "no_seek_end_llseek" },
	{ 0x49920d6, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf5c6cc93, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x78956946, "sysfs_remove_file_from_group" },
	{ 0xb66b1bc8, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x45a1de29, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0x136387e1, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xbb96138, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x4b1fa7e0, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf5ce1d20, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xe346d68e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa16d666f, "pm_runtime_no_callbacks" },
	{ 0x5ad1eecb, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe36f79b8, "devm_gen_pool_create" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d4e5ff6, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8bfea03c, "pv_ops" },
	{ 0x71b96586, "sysfs_remove_group" },
	{ 0x35d107ec, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2189fbf6, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd8f8e5e9, "pm_runtime_forbid" },
	{ 0xa10facad, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xa96f60ff, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x48fdc1, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x78973592, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78cf6312, "acpi_fetch_acpi_dev" },
	{ 0x38dce0ff, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x2d2bf825, "kernfs_put" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8fa3016e, "inode_set_ctime_current" },
	{ 0x530c3588, "__register_chrdev" },
	{ 0x9a427125, "sysfs_break_active_protection" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x212b7a03, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xd990e896, "kobject_uevent" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xbdc7cfbe, "device_pm_wait_for_dev" },
	{ 0x5aabe9f2, "pci_disable_device" },
	{ 0xee9fe22c, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x881e4c14, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0x3c46d6be, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x720fe2f5, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x8ba8ff65, "dev_pm_qos_add_request" },
	{ 0x68a62ee3, "pm_runtime_barrier" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x24d6fdaf, "__pm_runtime_suspend" },
	{ 0x63c9e003, "usb_debug_root" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa8778f18, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x1b27a2d1, "set_primary_fwnode" },
	{ 0x940e9d6c, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x9ca18186, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6bae1bd1, "phy_calibrate" },
	{ 0xbd760b3, "param_ops_int" },
	{ 0x5d3b07df, "_dev_printk" },
	{ 0xfd87d992, "dev_pm_qos_expose_flags" },
	{ 0x70fcdc1b, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xc37fdcdf, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1ca8ea84, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{ 0x2662721b, "driver_register" },
	{ 0x378a80fe, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7f1d5de, "class_register" },
	{ 0xa34867b9, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfcc5f7e, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x369f50d5, "cdev_del" },
	{ 0xb7a04089, "device_remove_bin_file" },
	{ 0x6bc95698, "device_remove_file" },
	{ 0xb1936dff, "bus_register" },
	{ 0x482eadd5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49372d72, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x39302d80, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xd8df8e5f, "device_set_wakeup_enable" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x19c9c71e, "is_acpi_device_node" },
	{ 0x91037e07, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x15c842b, "device_set_of_node_from_dev" },
	{ 0x4cae06df, "param_ops_uint" },
	{ 0xad790ba6, "dma_pool_create" },
	{ 0x40374e22, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa9c0a58a, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x789e72a5, "devm_memremap" },
	{ 0x71ab28a1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x90ef1037, "pci_alloc_irq_vectors" },
	{ 0xafc4cfd, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1354901d, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8f725c53, "driver_remove_file" },
	{ 0xc9c6e246, "sysfs_add_file_to_group" },
	{ 0xaedf1551, "driver_attach" },
	{ 0x1b31e20f, "device_unregister" },
	{ 0xc7b7a8ce, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbce0f72, "pci_get_device" },
	{ 0xc0029833, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x8cd4b9d, "sysfs_unbreak_active_protection" },
	{ 0xdd889d97, "pci_dev_run_wake" },
	{ 0x6f2fc4e8, "devm_ioremap" },
	{ 0xb85bad84, "pci_prepare_to_sleep" },
	{ 0xa0653774, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x45ab87ff, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x49d761a4, "component_del" },
	{ 0xcd6ee688, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x868ffa3b, "kobject_get_path" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7f23bd2f, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xfa65cbd7, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd1194b2a, "pci_irq_vector" },
	{ 0x64db261, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x117ec64d, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19295b49, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x70721ce8, "device_create_bin_file" },
	{ 0x8963dccc, "__put_cred" },
	{ 0xfa8456da, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x26bc9e27, "dev_driver_string" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0xe161442b, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20ca23d2, "__pm_runtime_set_status" },
	{ 0x58390570, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x79101605, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x82ae1be6, "pm_wakeup_dev_event" },
	{ 0x5c1a95ca, "device_reprobe" },
	{ 0x1124709f, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x175ae41c, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xdca0b35c, "debugfs_lookup_and_remove" },
	{ 0x65fee2e, "put_device" },
	{ 0x5fc9ad1e, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x3d1572a4, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xaa45519, "phy_exit" },
	{ 0x7d1bdcb8, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcfa16cf2, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x4dd6f084, "_dev_info" },
	{ 0x81828ce4, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa6cbbff1, "sysfs_create_link" },
	{ 0x29e6b100, "device_wakeup_disable" },
	{ 0x47754ce4, "compat_ptr_ioctl" },
	{ 0xca23cb6b, "cdev_add" },
	{ 0x6cd6c286, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xffdc6838, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xb6f02222, "sysfs_update_group" },
	{ 0x1160fb10, "sysfs_unmerge_group" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0xa6cd3d4e, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0x412081d9, "bus_find_device" },
	{ 0x299bad0f, "device_add" },
	{ 0x72614be2, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8100735e, "init_uts_ns" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "3E2955F25BA60AAB90A4F99");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
