#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ljca_transfer, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_transfer_noack, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_register_event_cb, "_gpl", "LJCA");
KSYMTAB_FUNC(ljca_unregister_event_cb, "_gpl", "LJCA");

SYMBOL_CRC(ljca_transfer, 0x8312d2a6, "_gpl");
SYMBOL_CRC(ljca_transfer_noack, 0x15ae28d6, "_gpl");
SYMBOL_CRC(ljca_register_event_cb, 0xbf43d470, "_gpl");
SYMBOL_CRC(ljca_unregister_event_cb, 0xebe2d20e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40777fd6, "usb_autopm_put_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb61e9db4, "usb_register_driver" },
	{ 0x29bfe31a, "usb_submit_urb" },
	{ 0x1dd40d5d, "usb_kill_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x136387e1, "device_del" },
	{ 0x65fee2e, "put_device" },
	{ 0x8d4f19b9, "usb_free_urb" },
	{ 0x3e6b92a3, "usb_put_intf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x810cf0cf, "acpi_match_device_ids" },
	{ 0x349cba85, "strchr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x840e2783, "usb_deregister" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x1ad31918, "auxiliary_device_init" },
	{ 0x19c9c71e, "is_acpi_device_node" },
	{ 0xfaaa451a, "acpi_dev_for_each_child" },
	{ 0x1b27a2d1, "set_primary_fwnode" },
	{ 0x7fd0e97f, "__auxiliary_device_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb6566248, "_dev_warn" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xad92123c, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0xe940b654, "usb_alloc_urb" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xa8480c5a, "usb_enable_autosuspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x78534366, "usb_autopm_get_interface" },
	{ 0xa185bc53, "usb_bulk_msg" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v8086p0B63d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "083442F755A4E6D1236DBE8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
