#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x391534d2, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x327dd24b, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x60d147fd, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x4914925f, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xe2a570cd, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xa7dab289, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0eeff80, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x679862cc, "kmem_cache_alloc" },
	{ 0x6a65f62, "skb_mpls_pop" },
	{ 0xbb9a3ad7, "skb_vlan_pop" },
	{ 0x67c1d44b, "dst_init" },
	{ 0x81828ce4, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cce69e9, "rtnl_link_unregister" },
	{ 0xae0dfe4f, "perf_trace_run_bpf_submit" },
	{ 0x41874b6e, "__skb_get_hash" },
	{ 0xc0797bc5, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x62fbf462, "ipv6_stub" },
	{ 0x6875c830, "skb_mpls_update_lse" },
	{ 0x4647388, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c4fbec4, "netlink_unicast" },
	{ 0xe5789eb0, "bpf_trace_run5" },
	{ 0xbeb33b74, "dev_get_by_index_rcu" },
	{ 0x7e5dba66, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84c2653a, "skb_push" },
	{ 0x10dd412d, "kmem_cache_free" },
	{ 0x450ffe1a, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xdc718a1d, "trace_event_reg" },
	{ 0x96e833f7, "skb_ensure_writable" },
	{ 0xfaa7456d, "free_netdev" },
	{ 0x3be3f6b1, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x505d5b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xecc3e7e4, "ethtool_op_get_link" },
	{ 0x2ceb4fd2, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xf4cf96dd, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc798ad6, "__pskb_pull_tail" },
	{ 0xb739d7da, "nf_ct_delete" },
	{ 0xcbd73b5e, "nf_conncount_init" },
	{ 0x3f7d0275, "skb_vlan_push" },
	{ 0xb5b4bb21, "dev_get_tstats64" },
	{ 0xbff78e2e, "netif_rx" },
	{ 0xcd6567c9, "__netdev_alloc_skb" },
	{ 0x47d76559, "netdev_master_upper_dev_link" },
	{ 0x7bfa45fa, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x3ad2a03d, "inet_proto_csum_replace16" },
	{ 0xe7ee091a, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ee9bbb6, "skb_scrub_packet" },
	{ 0x650622c7, "nf_ct_deliver_cached_events" },
	{ 0x1c4b97e1, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcc1438ff, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xec59f05b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x546a1d09, "trace_event_buffer_reserve" },
	{ 0x9eae237, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3bb93eac, "inet_proto_csum_replace4" },
	{ 0x3102fb44, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcf86c465, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1224eb9, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7a2097ee, "dev_get_by_name" },
	{ 0xa8514515, "skb_clone" },
	{ 0xd67ef46a, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9a9e5499, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5387e2d2, "peernet2id_alloc" },
	{ 0xad9647d5, "nf_ct_get_tuplepr" },
	{ 0x16f43c20, "netdev_rx_handler_register" },
	{ 0xed68b57f, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa2a6ea0, "genl_unregister_family" },
	{ 0x8c887489, "dev_disable_lro" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x56955715, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3090c664, "genl_register_family" },
	{ 0x8bde2092, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe31e3109, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3156ecd1, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xd9f509b4, "skb_mpls_push" },
	{ 0x105f7538, "register_pernet_device" },
	{ 0x4ef32043, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x96be22a2, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd88d78d, "kmem_cache_destroy" },
	{ 0x1a4701e, "__skb_vlan_pop" },
	{ 0x8a778ec6, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7c2c2174, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7bc5f38a, "nf_ct_ext_add" },
	{ 0xf4e51ea3, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6d742452, "nsh_pop" },
	{ 0x90bab14b, "nf_conntrack_find_get" },
	{ 0x2662178c, "nf_ct_set_timeout" },
	{ 0xa1fdd1a7, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x98d27c00, "dev_fill_metadata_dst" },
	{ 0x8ed2b470, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xcb6fbba3, "skb_copy_bits" },
	{ 0xd008c4b5, "nf_ct_handle_fragments" },
	{ 0xa4d9b64f, "eth_mac_addr" },
	{ 0xa66af9de, "skb_put" },
	{ 0xee9aef9f, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d006dfe, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfd19bf90, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x18cd325c, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x151095b1, "skb_eth_pop" },
	{ 0x50da8178, "trace_raw_output_prep" },
	{ 0xf6453b64, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd05ce46e, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x8bee85d6, "nf_ct_helper" },
	{ 0x45c294b, "__trace_trigger_soft_disabled" },
	{ 0xbf1bdb60, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x72f74522, "trace_event_printf" },
	{ 0x1fa00971, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x94097be1, "rtnl_link_register" },
	{ 0x100d7851, "nf_connlabels_put" },
	{ 0x7d069e8b, "genlmsg_put" },
	{ 0x2b84a7f7, "___pskb_trim" },
	{ 0x266282f0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76e86b1, "dev_set_promiscuity" },
	{ 0x16969b68, "nf_ct_destroy_timeout" },
	{ 0x85d8ca1b, "nf_ct_add_helper" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0xa2809a74, "nf_conntrack_helper_put" },
	{ 0xc57eec49, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2b204454, "nf_ct_skb_network_trim" },
	{ 0x4fc266b0, "unregister_netdevice_queue" },
	{ 0xfd681ea9, "kmem_cache_create" },
	{ 0x84bbf3af, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xabb780c7, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x552fcfa3, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f456349, "pskb_expand_head" },
	{ 0xc0eaf3a0, "skb_csum_hwoffload_help" },
	{ 0xcb3a4565, "trace_event_buffer_commit" },
	{ 0xff1d8364, "dev_addr_mod" },
	{ 0x8fbb13c4, "nf_connlabels_replace" },
	{ 0xcff18ba, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11b65992, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc72d56ac, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xb673749f, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7eeeb0b9, "skb_eth_push" },
	{ 0xe4a6c40e, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "A52C873F9883C955E183220");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
