#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0x9b4c42a5, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x7d140fdf, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x2576cc1f, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x45176f2a, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0xdc39c3cc, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0x1e5ebb6a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe58a25fe, "snd_soc_component_write" },
	{ 0x61a3bd83, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd42e523b, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5b035f62, "device_property_read_u32_array" },
	{ 0xa9cbd859, "snd_soc_get_enum_double" },
	{ 0x306bc078, "i2c_register_driver" },
	{ 0x9e7c7c43, "snd_soc_info_volsw" },
	{ 0x8fd52d27, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc273f20b, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9b496069, "snd_soc_dapm_force_bias_level" },
	{ 0xd9bd6f63, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x815b778c, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xb6566248, "_dev_warn" },
	{ 0xe1036b7e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68d707cb, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x35c93b32, "snd_soc_get_volsw" },
	{ 0xb8b36848, "regmap_read" },
	{ 0xca203881, "snd_soc_put_volsw" },
	{ 0xfc587510, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfde7ad0, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x97bfc8a3, "regmap_update_bits_base" },
	{ 0xe6d930ed, "snd_soc_dapm_get_volsw" },
	{ 0xb8618d6d, "__devm_add_action" },
	{ 0x9d129629, "i2c_del_driver" },
	{ 0xf1da5d26, "regmap_register_patch" },
	{ 0x6f84c1a5, "snd_soc_dapm_get_enum_double" },
	{ 0x6e645acd, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x21de95dc, "snd_soc_dapm_put_enum_double" },
	{ 0x35b3e93b, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x769f8228, "device_property_present" },
	{ 0xdd12a337, "regcache_cache_only" },
	{ 0x89a0538e, "regcache_sync" },
	{ 0x99213feb, "regmap_write" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x748b3bd2, "snd_soc_jack_report" },
	{ 0x44d4fec6, "snd_soc_component_read" },
	{ 0x8ce0889d, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xd4521ed3, "gpiod_to_irq" },
	{ 0x885b2c47, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x67daf90d, "snd_soc_put_enum_double" },
	{ 0xd4d1bb8b, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x72a01088, "gpiod_get_value" },
	{ 0xaaeb5208, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x8196608c, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x1f4f9de6, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x94232590, "devm_clk_get" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "DF8B64433CCC09086D185D6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
